@extends('admin.layouts.app')
@section('panel')
    <div class="row">
        <div class="col-lg-12">
            <div class="card b-radius--10">
                <div class="card-body p-0">
                    <div class="table-responsive--lg table-responsive">
                        <table class="table--light style--two table">
                            <thead>
                                <tr>
                                    <th>@lang('S.N.')</th>
                                    <th>@lang('Card Type.') </th>
                                    <th>@lang('User')</th>
                                    <th>@lang('Balance')</th> 
                                    <th>@lang('Created')</th>
                                    <th>@lang('Status')</th>
                                    <th>@lang('Action')</th>
                                </tr>
                            </thead>

                            <tbody>
                                @forelse($log as $data)
                                    <tr>
                                        <td>{{ __($data->index + 1) }}</td>
                                        <td>
                                            <span class="d-block text--info">{{ __($data->type->name) }}</span>
                                        </td>
                                        <td>
                                            <span class="fw-bold d-block">{{ $data->user->fullname }}</span>
                                             
                                        </td>
                                        <td>
                                            <span>{{ $data->type->cururrency . showAmount($data->balance) }}</span>
                                            
                                        </td>

                                         

                                        <td>
                                            <span class="d-block">{{ showDateTime($data->created_at, 'd M, Y') }}</span>
                                           
                                        </td>

                                        <td>
                                            @php echo $data->status_badge; @endphp
                                        </td>

                                             <td>
                                                <div class="button--group">
                                                         <a class="btn btn-sm btn-outline--primary" href="{{ route('admin.card.details', $data->id) }}">
                                                            <i class="las la-desktop"></i> @lang('Details')
                                                        </a>                                                    
                                                </div>
                                            </td>

                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
                @if ($log->hasPages())
                    <div class="card-footer py-4">
                        {{ paginateLinks($log) }}
                    </div>
                @endif
            </div>
        </div>
    </div>
@endsection

@push('breadcrumb-plugins')
    <x-search-form dateSearch='yes' placeholder="Loan No." />
@endpush
