<!DOCTYPE html>
<html lang="{{ config('app.locale') }}" itemscope itemtype="http://schema.org/WebPage">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title> {{ $general->siteName(__($pageTitle)) }}</title>
    @include('partials.seo')


    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'frontend/css/bootstrap.min.css')}}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'frontend/css/fontawesome.min.css')}}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'frontend/css/jquery-ui.css')}}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'frontend/css/nice-select.css')}}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'frontend/css/magnific-popup.css')}}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'frontend/css/slick.css')}}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'frontend/css/arafat-font.css')}}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'frontend/css/animate.css')}}">
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'frontend/css/style.css')}}">
    <script src="{{ asset($activeTemplateTrue . 'frontend/js/l.js')}}" async=""></script>  
    @stack('style-lib')
    @stack('style')

</head>

<body>
  
    @yield('app')
 
    @stack('script')
    @include('partials.plugins')
    @include('partials.notify')
    @include('partials.user_activity')

     
    @include('partials.push_config')


    <!--==================================================================-->
    <script data-cfasync="false" src="{{ asset($activeTemplateTrue . 'frontend/js/email-decode.min.js')}}"></script>
    <script src="{{ asset($activeTemplateTrue . 'frontend/js/jquery.min.js')}}"></script>
    <script src="{{ asset($activeTemplateTrue . 'frontend/js/jquery-ui.js')}}"></script>
    <script src="{{ asset($activeTemplateTrue . 'frontend/js/bootstrap.min.js')}}"></script>
    <script src="{{ asset($activeTemplateTrue . 'frontend/js/fontawesome.js')}}"></script>
    <script src="{{ asset($activeTemplateTrue . 'frontend/js/slick.js')}}"></script>
    <script src="{{ asset($activeTemplateTrue . 'frontend/js/jquery.nice-select.min.js')}}"></script>
    <script src="{{ asset($activeTemplateTrue . 'frontend/js/counter.js')}}"></script>
    <script src="{{ asset($activeTemplateTrue . 'frontend/js/waypoint.min.js')}}"></script>
    <script src="{{ asset($activeTemplateTrue . 'frontend/js/jquery.magnific-popup.min.js')}}"></script>
    <script src="{{ asset($activeTemplateTrue . 'frontend/js/wow.min.js')}}"></script>
    <script src="{{ asset($activeTemplateTrue . 'frontend/js/plugin.js')}}"></script>
    <script src="{{ asset($activeTemplateTrue . 'frontend/js/main.js')}}"></script>
    <script>
	    function myFunctionz() {
  var x = document.getElementById("pass");
  if (x.type === "password") {
    x.type = "text";
  } else {
    x.type = "password";
  }
}
	</script>
    <script>
    $(document).ready(function() {
  function dateTime() {
    var ndate = new Date();
    var hours = ndate.getHours();
    var message = hours < 12 ? 'Good Morning' : hours < 18 ? 'Good Afternoon' : 'Good Evening';
    $("h3.day-message").text(message);

    $('.date').html(hours.leadingZeroes(2) + ":" + ndate.getMinutes().leadingZeroes(2) + ":" + ndate.getSeconds().leadingZeroes(2) + (hours < 12 ? 'AM' : 'PM'));
  }

  setInterval(dateTime, 1000);
});

Number.prototype.leadingZeroes = function(len) {
  return (new Array(len).fill('0', 0).join('') + this).slice(-Math.abs(len));
}
</script>
 



</body>

</html>
