@extends($activeTemplate . 'layouts.auth')
@section('app')

<!--  Body Wrapper -->
<div class="page-wrapper" id="main-wrapper" data-layout="vertical" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed">
    <div class="position-relative overflow-hidden radial-gradient min-vh-100 d-flex align-items-center justify-content-center">
      <div class="d-flex align-items-center justify-content-center w-100">
        <div class="row justify-content-center w-100">
          <div class="col-md-8 col-lg-6 col-xxl-3">
            <div class="card mb-0">
              <div class="card-body pt-5">
                <a href="{{url('/')}}" class="text-nowrap logo-img text-center d-block mb-4">
                  <img src="{{ siteLogo('dark') }}" width="40" alt="">
                </a>
                <div class="mb-5 text-center">
                  <p>@lang('A 6 digit verification code sent to your email address')</p>
                  <h6 class="fw-bolder"> {{ showEmailAddress(Auth::user()->email) }} </h6>
                </div>
                <form action="{{ route('user.verify.email') }}" method="POST" class="submit-form">
                    @csrf
                  <div class="mb-3">
                    <label for="exampleInputEmail1" class="form-label fw-semibold">@lang('Type your 6 digits security code')</label>
                    @include($activeTemplate . 'partials.verification_code')
                  </div>
                  
                  <button type="submit" class="submit-form btn btn-primary w-100 py-8 mb-4">Verify </button>
                  <a href="{{ route('user.logout') }}" class="submit-form btn btn-outline-primary w-100 py-8 mb-4">Logout </a>
                  <div class="d-flex align-items-center">
                    <p class="fs-4 mb-0 text-dark">Didn't get the code?</p>
                    <a class="text-primary fw-medium ms-2" href="{{ route('user.send.verify.code', 'email') }}">Resend</a>
                  </div> 
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
 
@endsection
