@extends($activeTemplate . 'layouts.frontend')
@section('app')

<div class="page-wrapper" id="main-wrapper" data-layout="vertical" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed">
    <div class="position-relative overflow-hidden radial-gradient min-vh-100 d-flex align-items-center justify-content-center">
      <div class="d-flex align-items-center justify-content-center w-100">
        <div class="row justify-content-center w-100">
          <div class="col-md-8 col-lg-6 col-xxl-3">
            <div class="card mb-0">
              <div class="card-body pt-5">
                <a href="{{url('/')}}" class="text-nowrap logo-img text-center d-block mb-4">
                  <img src="{{ siteLogo('dark') }}" width="40" alt="">
                </a>
                <div class="mb-5 text-center">
                    <p class="mb-0">@lang('Your account is verified successfully. Now you can change your password. Please enter a strong password and don\'t share it with anyone.')</p>

                </div>
                <form method="POST" action="{{ route('user.password.update') }}">
                    @csrf
                    <input type="hidden" name="email" value="{{ $email }}">
                    <input type="hidden" name="token" value="{{ $token }}">

                    <div class="mb-3">
                        <label for="exampleInputEmail1" class="form-label">@lang('Enter Password')</label>
                        <input type="password" class="form-control @if ($general->secure_password) secure-password @endif" name="password" required>
                      </div>
                      <div class="mb-3">
                        <label for="exampleInputEmail1" class="form-label">@lang('Confirm Password')</label>
                        <input type="password" class="form-control" name="password_confirmation" required>
                    </div>

                <button type="submit" class="btn btn-primary w-100 py-8 mb-3">@lang('Submit')</button>

                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

 
@endsection

@if ($general->secure_password)
    @push('script-lib')
        <script src="{{ asset('assets/global/js/secure_password.js') }}"></script>
    @endpush
@endif

@push('style')
    <style>
        .input-popup {
            bottom: 80% !important;
        }
    </style>
@endpush
