@extends($activeTemplate . 'layouts.master')
@section('content')
    @if ($user->kv != Status::KYC_VERIFIED)
        @php
            $kyc = getContent('kyc_content.content', true);
        @endphp
        <div class="row justify-content-center mb-4"> 
            <div class="card w-100 bg-light-secondary overflow-hidden shadow-none">
              <div class="card-body py-3">
                <div class="row justify-content-between align-items-center">
                  <div class="col-sm-6">
                    @if ($user->kv == 0)
                    <h5 class="fw-semibold mb-9 fs-5">@lang('KYC Verification Required')</h5>
                    <p class="mb-9">{{ __(@$kyc->data_values->unverified_content) }}</p>
                    <a href="{{ route('user.kyc.form') }}" class="btn btn-secondary">@lang('Click Here to Verify')</a>
                    @elseif($user->kv == 2)
                    <h5 class="fw-semibold mb-9 fs-5">@lang('KYC Verification Is Pending')</h5>
                    <p class="mb-9">{{ __(@$kyc->data_values->pending_content) }}</p>
                    <a href="{{ route('user.kyc.data') }}" class="btn btn-secondary">@lang('See KYC Data')</a>
                    @endif
                    
                  </div>
                  <div class="col-sm-5">
                    <div class="position-relative mb-n5 text-center">
                      <img src="{{ asset($activeTemplateTrue . 'dist/images/backgrounds/track-bg.png')}}" alt="" class="img-fluid" style="width: 180px; height: 230px;">
                    </div>
                  </div>
                </div>
              </div> 
        </div>
    @endif


    <div class="row">
        <div class="col-lg-12 d-flex align-items-stretch">
          <div class="card w-100 bg-light-primary overflow-hidden shadow-none">
            <div class="card-body position-relative">
              <div class="row">
                <div class="col-sm-7">
                  <div class="d-flex align-items-center mb-7">
                    <div class="rounded-circle overflow-hidden me-6">
                      <img src="{{ getImage(getFilePath('userProfile') . '/' . $user->image, null, true) }}" alt="" width="40" height="40">
                    </div>
                    <h5 class="fw-semibold mb-0 fs-5">@lang('Welcome back '.$user->fullname)!<br>
                      <span><h6>CURRENT LOGIN IP: {{$lastLogin->user_ip}}</h6></span>
                    </h5><br>
                    
                  </div>
                  <div class="d-flex align-items-center">
                    <div class="border-ensd me-4 border-muted border-opacity-10">
                      <h3 class="mb-1 fw-semibold fs-8 d-flex align-content-center">{{ $general->cur_sym }}{{ showAmount($user->balance) }}<i class="ti ti-arrow-up-right fs-5 lh-base text-success"></i></h3>
                      <p class="mb-0 text-dark">@lang('Total Balance')</p>
                      <div class="btn-group mb-2">
                        <button type="button" class="btn btn-primary btn-sm dropdown-toggle"  data-bs-toggle="dropdown"  aria-haspopup="true" aria-expanded="false"  >
                          Quick Transfer
                        </button>
                        <ul class="dropdown-menu animated bounce">
                          <li><a class="dropdown-item" href="{{ route('user.transfer.own.bank.beneficiaries') }}">@lang('Own Bank Transfer')</a></li>
                          <li> <a class="dropdown-item" href="{{ route('user.transfer.other.bank.beneficiaries') }}">@lang('Other Bank Transfer')</a> </li>
                          <li> <a class="dropdown-item" href="{{ route('user.transfer.wire.index') }}" >@lang('Wire Transfer')</a> </li> 
                        </ul>
                      </div>
                    </div>  
                  </div>
                </div>
                <div class="col-sm-5">
                  <div class="welcome-bg-img mb-n7 text-end">
                    <img src="{{ asset($activeTemplateTrue . 'dist/images/backgrounds/welcome-bg2.png')}}" alt="" class="img-fluid">
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
         
        <div class="col-md-6 col-lg-6 d-flex align-items-stretch">
          <div class="card w-100">
            <div class="card-body">
              <h5 class="card-title fw-semibold">@lang('Revenue Updates')</h5>
              <p class="card-subtitle mb-4">@lang('Overview of Profit')</p> 
              <div id="trx-chart" class="revenue-chart"></div>
            </div>
          </div>
        </div>
        @if (@$general->modules->deposit)
        <div class="col-md-6 col-lg-3 d-flex align-items-stretch">
          <div class="card w-100">
            <div class="card-body">
              <h5 class="card-title fw-semibold">@lang('Deposit Overview')</h5>
              <p class="card-subtitle mb-2">@lang('Deposit Chart')</p>
              <div id="deposit-overview" class="mb-4"></div>
              <div class="d-flex align-items-center justify-content-between">
                <div class="d-flex align-items-center">
                  <div class="bg-light-danger rounded-2 me-8 p-8 d-flex align-items-center justify-content-center">
                    <i class="ti ti-grid-dots text-danger fs-6"></i>
                  </div>
                  <div>
                    <h6 class="fw-semibold text-dark fs-4 mb-0">{{ $general->cur_sym }}{{ showAmount(@$widget['pending_total_deposit']) }}</h6>
                    <p class="fs-3 mb-0 fw-normal">@lang('Pending')</p>
                  </div>
                </div>
               
              </div>
              <br>
              <div class="d-flex align-items-center">
                <div class="bg-light-success rounded-2 me-8 p-8 d-flex align-items-center justify-content-center">
                  <i class="ti ti-grid-dots text-success fs-6"></i>
                </div> 
                <div>
                  <h6 class="fw-semibold text-dark fs-4 mb-0">{{ $general->cur_sym }}{{ showAmount(@$widget['success_total_deposit']) }}</h6>
                  <p class="fs-3 mb-0 fw-normal">@lang('Successful')</p>
                </div>
              </div>
            </div>
          </div>
        </div>
        @endif
        @if (@$general->modules->withdraw)
        <div class="col-md-6 col-lg-3 d-flex align-items-stretch">
          <div class="card w-100">
            <div class="card-body">
              <h5 class="card-title fw-semibold">@lang('Withdrawal Overview')</h5>
              <p class="card-subtitle mb-2">@lang('Withdrawal Chart')</p>
              <div id="withdraw-overview" class="mb-4"></div>
              <div class="d-flex align-items-center justify-content-between">
                <div class="d-flex align-items-center">
                  <div class="bg-light-danger rounded-2 me-8 p-8 d-flex align-items-center justify-content-center">
                    <i class="ti ti-grid-dots text-danger fs-6"></i>
                  </div>
                  <div>
                    <h6 class="fw-semibold text-dark fs-4 mb-0">{{ $general->cur_sym }}{{ showAmount(@$widget['pending_total_withdraw']) }}</h6>
                    <p class="fs-3 mb-0 fw-normal">@lang('Pending')</p>
                  </div>
                </div>
                
              </div>
              <br>
              <div class="d-flex align-items-center">
                <div class="bg-light-success rounded-2 me-8 p-8 d-flex align-items-center justify-content-center">
                  <i class="ti ti-grid-dots text-success fs-6"></i>
                </div>
                <div>
                  <h6 class="fw-semibold text-dark fs-4 mb-0">{{ $general->cur_sym }}{{ showAmount(@$widget['success_total_withdraw']) }}</h6>
                  <p class="fs-3 mb-0 fw-normal">@lang('Successful')</p>
                </div>
              </div>
            </div>
          </div>
        </div>
        @endif
        @if ($general->modules->deposit)
        <div class="col-lg-4 col-md-6">
          <div class="card">
            <a href="#" class="stretched-link"></a>
            <div class="card-body">
              <div class="row">
                <div class="col-3">
                  <div class="bg-light-success text-success rounded d-flex align-items-center p-8 justify-content-center">
                    <i class="ti ti-cash fs-8"></i>
                  </div>
                </div>
                <div class="col-9 d-flex align-items-center justify-content-end text-end">
                  <div>
                    <h4 class="card-title">{{ $general->cur_sym }}{{ showAmount(@$widget['success_total_deposit']) }}</h4>
                    <h6 class="card-subtitle mb-0">@lang('Total Account Deposit')</h6>
                  </div>
                </div>
              </div> 
            </div>
          </div>
        </div>
        @endif
        @if ($general->modules->withdraw)
        <div class="col-lg-4 col-md-6">
          <div class="card outline-success">
            <a href="#" class="stretched-link"></a>
            <div class="card-body">
              <div class="row">
                <div class="col-3">
                  <div class="bg-light-warning text-warning rounded d-flex align-items-center p-8 justify-content-center">
                    <i class="ti ti-wallet fs-8"></i>
                  </div>
                </div>
                <div class="col-9 d-flex align-items-center justify-content-end text-end">
                  <div>
                    <h4 class="card-title">{{ $general->cur_sym }}{{ showAmount(@$widget['success_total_withdraw']) }}</h4>
                    <h6 class="card-subtitle mb-0">@lang('Total Account Payout')</h6>
                  </div>
                </div>
              </div> 
            </div>
          </div>
        </div>
        @endif
        <div class="col-lg-4 col-md-6">
          <div class="card">
            <a href="#" class="stretched-link"></a>
            <div class="card-body">
              <div class="row">
                <div class="col-3">
                  <div class="bg-light-info text-info rounded d-flex align-items-center p-8 justify-content-center">
                    <i class="ti ti-calendar fs-8"></i>
                  </div>
                </div>
                <div class="col-9 d-flex align-items-center justify-content-end text-end">
                  <div>
                    <h4 class="card-title">{{ $general->cur_sym }}{{ showAmount(@$widget['total_trx']) }}</h4>
                    <h6 class="card-subtitle mb-0">@lang('Total Transaction Today')</h6>
                  </div>
                </div>
              </div> 
            </div>
          </div>
        </div>
        @if ($general->modules->own_bank)
        <div class="col-lg-4 col-md-6">
          <div class="card">
            <a href="#" class="stretched-link"></a>
            <div class="card-body">
              <div class="row">
                <div class="col-3">
                  <div class="bg-light-success text-success rounded d-flex align-items-center p-8 justify-content-center">
                    <i class="ti ti-exchange fs-8"></i>
                  </div>
                </div>
                <div class="col-9 d-flex align-items-center justify-content-end text-end">
                  <div>
                    <h4 class="card-title">{{ $general->cur_sym }}{{ showAmount(@$widget['total_own_transfer']) }}</h4>
                    <h6 class="card-subtitle mb-0">
                      @lang('Total Own Bank Transfer')
                    </h6>
                  </div>
                </div>
              </div> 
            </div>
          </div>
        </div>
        @endif
        @if ($general->modules->other_bank)
        <div class="col-lg-4 col-md-6">
          <div class="card">
            <a href="#" class="stretched-link"></a>
            <div class="card-body">
              <div class="row">
                <div class="col-3">
                  <div class="bg-light-info text-info rounded d-flex align-items-center p-8 justify-content-center">
                    <i class="ti ti-building-bank fs-8"></i>
                  </div>
                </div>
                <div class="col-9 d-flex align-items-center justify-content-end text-end">
                  <div>
                    <h4 class="card-title">{{ $general->cur_sym }}{{ showAmount(@$widget['total_other_transfer']) }}</h4>
                    <h6 class="card-subtitle mb-0">@lang('Total Other Bank Transfer')</h6>
                  </div>
                </div>
              </div> 
            </div>
          </div>
        </div>
        @endif
        @if ($general->modules->wire_transfer)
        <div class="col-lg-4 col-md-6">
          <div class="card">
            <a href="#" class="stretched-link"></a>
            <div class="card-body">
              <div class="row">
                <div class="col-3">
                  <div class="bg-light-info text-info rounded d-flex align-items-center p-8 justify-content-center">
                    <i class="ti ti-world-upload fs-8"></i>
                  </div>
                </div>
                <div class="col-9 d-flex align-items-center justify-content-end text-end">
                  <div>
                    <h4 class="card-title">{{ $general->cur_sym }}{{ showAmount(@$widget['total_wire_transfer']) }}</h4>
                    <h6 class="card-subtitle mb-0">@lang('Total Wire Transfer')</h6>
                  </div>
                </div>
              </div> 
            </div>
          </div>
        </div>
        @endif
         
          @if ($general->modules->fdr)
          <div class="col-lg-4">
            <div class="card">
              <div class="card-body text-center">
                <p>@lang('Fixed Deposit')</p>
                <img  width="50" src="{{ asset($activeTemplateTrue . 'dist/images/backgrounds/gold.png')}}" alt="" class="img-fluid mb-4" width="150">
                <h5 class="fw-semibold fs-5 mb-2">@lang('Running FDR')</h5>
                <p class="mb-3 px-xl-5">{{ @$widget['total_fdr'] }}</p>
                <a href="{{ route('user.fdr.plans') }}" class="btn btn-primary">View</a>
              </div>
            </div> 
          </div>
          @endif
          @if ($general->modules->dps)
          <div class="col-lg-4">
            <div class="card">
              <div class="card-body text-center">
                <p>@lang('Savings Deposit')</p>
                <img width="50" src="{{ asset($activeTemplateTrue . 'dist/images/backgrounds/silver.png')}}" alt="" class="img-fluid mb-4" width="150">
                <h5 class="fw-semibold fs-5 mb-2">@lang('Running DPS')</h5>
                <p class="mb-3 px-xl-5">{{ @$widget['total_dps'] }}</p>
                <a  href="{{ route('user.dps.plans') }}" class="btn btn-primary">View</a>
              </div>
            </div> 
          </div>
          @endif
          @if ($general->modules->loan)
          <div class="col-lg-4">
            <div class="card">
              <div class="card-body text-center">
                <p>@lang('Loans')</p>
                <img width="50" src="{{ asset($activeTemplateTrue . 'dist/images/backgrounds/bronze.png')}}" alt="" class="img-fluid mb-4" width="150">
                <h5 class="fw-semibold fs-5 mb-2">@lang('Running Loan')</h5>
                <p class="mb-3 px-xl-5">{{ @$widget['total_loan'] }}</p>
                <a href="{{ route('user.loan.plans') }}" class="btn btn-primary">View</a>
              </div>
            </div> 
          </div>
          @endif
           
         
        
        <div class="col-md-6 col-lg-4 d-flex align-items-stretch">
          <div class="card w-100">
            <div class="card-body">
              <div class="mb-4">
                <h5 class="card-title fw-semibold">@lang('Recent Login Activities')</h5>
                <p class="card-subtitle">@lang('An Overview of your recent login')</p>
              </div>
              <ul class="timeline-widget mb-0 position-relative mb-n5">
                @foreach($logins as $data)
                <li class="timeline-item d-flex position-relative overflow-hidden">
                  <div class="timeline-time text-dark flex-shrink-0 text-end">{{ $data->created_at->format('dS M H:i') }}</div>
                  <div class="timeline-badge-wrap d-flex flex-column align-items-center">
                    <span class="timeline-badge border-2 border border-primary flex-shrink-0 my-8"></span>
                    <span class="timeline-badge-border d-block flex-shrink-0"></span>
                  </div>                         
                  <div class="timeline-desc fs-3 text-dark mt-n1">{{$data->os}} {{$data->browser}}<br>{{$data->user_ip}} {{$data->city}} {{$data->country}} </div>
                </li>
                @endforeach 
              </ul>                  
            </div>
          </div>
        </div>
        <div class="col-md-12 col-lg-4 d-flex align-items-stretch">
          <div class="card w-100">
            <div class="card-body">
              <div class="d-sm-flex d-block align-items-center justify-content-between mb-3">
                <div class="mb-3 mb-sm-0">
                  <h5 class="card-title fw-semibold">@lang('Latest Credits')</h5>
                  <p class="card-subtitle">@lang('Last 5 Credit Transactions')</p>
                </div> 
              </div>
              <div class="table-responsive">
                <table class="table align-middle text-nowrap mb-0">
                  <thead>
                    <tr class="text-muted fw-semibold">
                         <th>@lang('Date')</th>
                        <th>@lang('Trx')</th>
                        <th>@lang('Amount')</th>
                    </tr>
                  </thead>
                  <tbody class="border-top">
                    @forelse($credits as $credit)
                                <tr>
                                     <td>
                                        {{ showDateTime($credit->created_at, 'd M, Y h:i A') }}
                                    </td>
                                    <td>{{ __($credit->trx) }}</td>
                                    <td class="fw-bold">
                                        {{ showAmount($credit->amount) }} {{ __($general->cur_text) }}
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="100%" class="text-center">{{ __($emptyMessage) }}</td>
                                </tr>
                            @endforelse
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>

        <div class="col-md-12 col-lg-4 d-flex align-items-stretch">
            <div class="card w-100">
              <div class="card-body">
                <div class="d-sm-flex d-block align-items-center justify-content-between mb-3">
                  <div class="mb-3 mb-sm-0">
                    <h5 class="card-title fw-semibold">@lang('Latest Debits')</h5>
                    <p class="card-subtitle">@lang('Last 5 Debit Transactions')</p>
                  </div> 
                </div>
                <div class="table-responsive">
                  <table class="table align-middle text-nowrap mb-0">
                    <thead>
                      <tr class="text-muted fw-semibold">
                           <th>@lang('Date')</th>
                          <th>@lang('Trx')</th>
                          <th>@lang('Amount')</th>
                      </tr>
                    </thead>
                    <tbody class="border-top">
                      @forelse($debits as $debit)
                                  <tr>
                                       <td>
                                          {{ showDateTime($debit->created_at, 'd M, Y h:i A') }}
                                      </td>
                                      <td>{{ __($debit->trx) }}</td>
                                      <td class="fw-bold">
                                          {{ showAmount($debit->amount) }} {{ __($general->cur_text) }}
                                      </td>
                                  </tr>
                              @empty
                                  <tr>
                                      <td colspan="100%" class="text-center">{{ __($emptyMessage) }}</td>
                                  </tr>
                              @endforelse
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
      </div>
      
@endsection

@push('script')
   
    <script>


  // =====================================
  // Revenue Updates
  // =====================================
  var options = {
    color: "#adb5bd",
    series: [{{ showAmount(@$widget['pending_total_deposit']) }}, {{ showAmount(@$widget['success_total_deposit']) }}],
    labels: ["Pending", "Success"],
    chart: {
      type: "donut",
      fontFamily: "Plus Jakarta Sans', sans-serif",
      foreColor: "#adb0bb",
    },
    plotOptions: {
      pie: {
        donut: {
          size: '88%',
          background: 'transparent',
          labels: {
            show: true,
            name: {
              show: true,
              offsetY: 7,
            },
            value: {
              show: false,
            },
            total: {
              show: true,
              color: 'green',
              fontSize: '20px',
              fontWeight: "600",
              label: {{ showAmount(@$widget['pending_total_deposit'])}} + {{showAmount(@$widget['success_total_deposit']) }},
            },
          },
        },
      },
    },
    stroke: {
      show: false,
    },
    dataLabels: {
      enabled: false,
    },

    legend: {
      show: false,
    },
    colors:['#F44336', '#2AAA8A', '#9C27B0'],

    tooltip: {
      theme: "dark",
      fillSeriesColor: false,
    },
  };

  var chart = new ApexCharts(document.querySelector("#deposit-overview"), options);
  chart.render();
    </script>
    <script>
        // =====================================
        // Withdraw Updates
        // =====================================
        var options = {
          color: "#adb5bd",
          series: [{{ showAmount(@$widget['pending_total_withdraw']) }}, {{ showAmount(@$widget['success_total_withdraw']) }}],
          labels: ["Pending", "Success"],
          chart: {
            type: "donut",
            fontFamily: "Plus Jakarta Sans', sans-serif",
            foreColor: "#adb0bb",
          },
          plotOptions: {
            pie: {
              donut: {
                size: '88%',
                background: 'transparent',
                labels: {
                  show: true,
                  name: {
                    show: true,
                    offsetY: 7,
                  },
                  value: {
                    show: false,
                  },
                  total: {
                    show: true,
                    color: '#7C8FAC',
                    fontSize: '20px',
                    fontWeight: "600",
                    label: {{ showAmount(@$widget['pending_total_withdraw'])}} + {{showAmount(@$widget['success_total_withdraw']) }},
                  },
                },
              },
            },
          },
          stroke: {
            show: false,
          },
          dataLabels: {
            enabled: false,
          },
      
          legend: {
            show: false,
          },
          colors:['#F44336', '#2AAA8A', '#9C27B0'],
      
          tooltip: {
            theme: "dark",
            fillSeriesColor: false,
          },
        };
      
        var chart = new ApexCharts(document.querySelector("#withdraw-overview"), options);
        chart.render();
          </script>
          <script>
             // =====================================
  // Revenue Updates
  // =====================================
   
    var options = {
        series: [
          {
        name: "Debit",
        data: {!! json_encode($widget['yearPayout']) !!},
      },
      {
        name: "Credit",
        data: {!! json_encode($widget['yearDeposit']) !!},
      }
      ],
          chart: {
          height: 350,
          type: 'line',
        },
        stroke: {
          curve: 'smooth',
        },

        plotOptions: {
          bar: {
            borderRadius: 10,
            dataLabels: {
              position: 'top', // top, center, bottom
            },
          }
        },
        dataLabels: {
          enabled: false,
          formatter: function (val) {
            return val;
          },
          offsetY: -20,
          style: {
            fontSize: '12px',
            colors: ["#304758"]
          }
        },
        
        xaxis: {
          categories: {!! json_encode($widget['yearLabels']) !!},
          position: 'bottom',
          axisBorder: {
            show: false
          },
          axisTicks: {
            show: false
          },
           
          tooltip: {
            enabled: true,
          }
        },
        yaxis: {
          axisBorder: {
            show: false
          },
          axisTicks: {
            show: false,
          },
          labels: {
            show: false,
            formatter: function (val) {
              return val;
            }
          }
        
        },
        
        };
        var chart = new ApexCharts(document.querySelector("#trx-chart"), options);
        chart.render();
   </script>
@endpush
