@extends($activeTemplate . 'layouts.master')
@section('content')
@push('style')
<link rel="stylesheet" href="{{ asset($activeTemplateTrue . 'dist/libs/bootstrap-switch/dist/css/bootstrap3/bootstrap-switch.min.css')}}">
@endpush
@push('script') 
 <script>
    // START LOGIN ACCESS \\
    function submitform(e) {
        console.info(e);
        // Show page loading
        var raw = JSON.stringify({
            _token: "{{ csrf_token() }}",
            login_access: e,
        });
        var requestOptions = {
            method: 'POST',
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            body: raw
        };
        fetch("{{route('user.change.login.access')}}", requestOptions)
            .then(response => response.text())
            .then(result => {
                resp = JSON.parse(result); 
                iziToast.success({
                message: resp.message,
                position: "topRight"
            });
            })
            .catch(error => {
            });
    }
    // CHANGE LOGIN ACCESS \\
</script>
<script>
    $(document).ready(function(){
        $('input[type="radio"]').click(function(){
            var inputValue = $(this).attr("value");
            var targetBox = $("." + inputValue);
            $(".box").not(targetBox).hide();
            $(targetBox).show();
        });
    });
    </script> 
@endpush

    <div class="row justify-content-center mt-4">
        {{--
        <div class="col-lg-6 ">
            <div class="card">
                <div class="card-body p-4">
                  <h4 class="fw-semibold mb-3">Login OTP Option</h4>
                  <p>
                   @lang('You can add another layer of security to your account login by selecting any of the listed security measures below ')
                  </p>
                
                  <div class="">
                    <div class="d-flex align-items-center justify-content-between mb-4">
                        <div class="d-flex align-items-center gap-3">
                          <div class="text-bg-light rounded-1 p-6 d-flex align-items-center justify-content-center">
                            <i class="ti ti-login text-dark d-block fs-7" width="22" height="22"></i>
                          </div>
                          <div>
                            <h5 class="fs-4 fw-semibold">No 2FA Login</h5>
                            <p class="mb-0">User will be able to login to account using password only</p>
                          </div>
                        </div>
                        <label class="btn btn-light-danger text-danger font-medium active">
                          <div class="form-check">
                            <input type="radio" id="option1" type="radio" @if(Auth::user()->access_type == 1) checked="checked" @endif onchange="submitform(1)" name="access" value="1" class="form-check-input danger" />
                            <label class="form-check-label" for="option1"> </label>
                          </div>
                        </label>
                         
                      </div>
                      <div class="d-flex align-items-center justify-content-between mb-4">
                        <div class="d-flex align-items-center gap-3">
                          <div class="text-bg-light rounded-1 p-6 d-flex align-items-center justify-content-center">
                            <i class="ti ti-key text-dark d-block fs-7" width="22" height="22"></i>
                          </div>
                          <div>
                            <h5 class="fs-4 fw-semibold">Login PIN </h5>
                            <p class="mb-0">User will be able to login to account using password and PIN</p>
                          </div>
                        </div>
                        <label class="btn btn-light-primary text-primary font-medium active">
                          <div class="form-check">
                            <input type="radio" id="option2" type="radio" @if(Auth::user()->access_type == 2) checked="checked" @endif onchange="submitform(2)" name="access" value="2" class="form-check-input" />
                            <label class="form-check-label" for="option2"> </label>
                          </div>
                        </label>
                      </div>
                       

                <div class="box 2" @if(Auth::user()->access_type != 2) style="display: none;" @endif>

                <hr>
                <form class="register" action="{{route('user.change.pin')}}" method="post">
                  @csrf
                  @if(Auth::user()->access_pin == null)
                  <h5 class="card-title fw-semibold">@lang('Setup Login PIN')</h5>
                  <div class="alert alert-info bg-light-info" role="alert">
                      <strong>You are yet to setup your Account Login PIN for the first time. Please enter 123456 as your current PIN to setup your PIN</strong>
                    </div>
                  @else
                    <h5 class="card-title fw-semibold">@lang('Update Login PIN')</h5>
                  @endif
                  <div class="mb-3">
                    <label for="exampleInputPin1" class="form-label">@lang('Current PIN')</label>
                    <input class="form-control form--control" id="exampleInputPin1" maxlength="6" name="current_pin" type="number" required>
                  </div>
                  

                  <div class="mb-3">
                    <label for="exampleInputPin2" class="form-label">@lang('New PIN')</label>
                    <input class="form-control form--control" id="exampleInputPin2" maxlength="6" name="new_pin" type="number" required>
                  </div> 
                  <div class="mt-4">
                  <input class="btn btn-primary " type="submit" value="@lang('Change PIN')">
                  </div>
                </form>
                </div>  
                  </div>
                </div>
              </div>
          </div>
          --}}
          <div class="col-lg-12 d-flex align-items-stretch">
            <div class="card w-100 position-relative overflow-hidden">
              <div class="card-body p-4">
                <h5 class="card-title fw-semibold">@lang('Change Password')</h5>
                <form class="register" action="" method="post">
                    @csrf
                    <div class="alert alert-warning bg-light-warning" role="alert">
                        <strong>Please fill the form below to update your account password. Please note, we will not ask for your login password</strong>
                      </div>
                  <div class="mb-3">
                    <label for="exampleInputPassword1" class="form-label">@lang('Current Password')</label>
                    <input class="form-control form--control" name="current_password" type="password" required>
                  </div>
                  <div class="mb-3">
                    <label for="exampleInputPassword2" class="form-label">@lang('New Password')</label>
                    <input class="form-control form--control @if ($general->secure_password) secure-password @endif" name="password" type="password" required>
                  </div>
                  <div class="">
                    <label for="exampleInputPassword3" class="form-label">@lang('Confirm Password')</label>
                    <input type="password" class="form-control form--control" name="password_confirmation" required>
                  </div>
                  <div class="mt-4">
                  <input class="btn btn-primary" type="submit" value="@lang('Change Password')">
                  </div>
                </form> 
              </div>
            </div>  
          </div> 
 
@endsection

@if ($general->secure_password)
    @push('script-lib')
        <script src="{{ asset('assets/global/js/secure_password.js') }}"></script>
    @endpush
@endif
 
