@extends($activeTemplate . 'layouts.master')
@section('content')

<div class="tab-pane" id="pills-followers" role="tabpanel" aria-labelledby="pills-followers-tab" tabindex="0">
    <div class="d-sm-flex align-items-center justify-content-between mt-3 mb-4">
      <h3 class="mb-3 mb-sm-0 fw-semibold d-flex align-items-center">@lang('Beneficiaries') <span class="badge text-bg-secondary fs-2 rounded-4 py-1 px-2 ms-2">{{count($beneficiaries)}}</span></h3>
      <button type="button" class="btn btn--sm btn-dark add-btn mb-3 sendBtn2"><i class="la la-plus-circle"></i>
        @lang('New Transfer')</button>
    </div>
    <div class="row">
      @forelse ($beneficiaries as $beneficiary)
      <div class=" col-md-6 col-xl-4">
        <div class="card">
          <div class="card-body p-4 d-flex align-items-center gap-3">
            <img src="{{ getImage(getFilePath('userProfile') . '/' . $beneficiary->user->image, null, true) }}" alt="" class="rounded-circle" width="40" height="40">
            <div>
               
              <h5 class="fw-semibold mb-0">{{ $beneficiary->account_name }}</h5>
              <span class="fs-2 d-flex align-items-center"><i class="ti ti-building-bank text-dark fs-3 me-1"></i>{{ $beneficiary->account_number }}</span>
              ({{ $beneficiary->short_name }})
            </div>
            <button class="btn btn-primary py-1 px-2 ms-auto sendBtn" data-id="{{ $beneficiary->id }}">@lang('Transfer Fund')</button>
          </div>
        </div>
      </div>
      @empty
        <center>{{ __($emptyMessage) }}</center>
      @endforelse
       
    </div>
  </div>
 

    @if ($beneficiaries->hasPages())
        {{ paginateLinks($beneficiaries) }}
    @endif
@endsection

@push('modal')
    <div class="modal fade custom--modal" id="sendModal">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">@lang('Transfer Money')</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form action="" method="post">
                    @csrf
                    <div class="modal-body">

                        <div class="form-group">
                            <label class="form-label required">@lang('Amount')</label>
                            <div class="input-group custom-input-group">
                                <input class="form-control form--control" name="amount" type="text" required>
                                <span class="input-group-text">@lang($general->cur_text)</span>
                            </div>
                        </div>

                        @include($activeTemplate . 'partials.otp_field')

                        <div class="my-4">
                            <ul>
                                <li class="pricing-card__list flex-between">
                                    <span class="fw-bold">@lang('Limit Per Transaction')</span>
                                    <span>{{ $general->cur_sym . showAmount($general->minimum_transfer_limit) }} (@lang('Min'))</span>
                                </li>

                                <li class="pricing-card__list flex-between">
                                    <span class="fw-bold">@lang('Daily Limit')</span>
                                    <span>{{ $general->cur_sym . showAmount($general->daily_transfer_limit) }} (@lang('Max'))</span>
                                </li>

                                <li class="pricing-card__list flex-between">
                                    <span class="fw-bold">@lang('Monthly Limit')</span>
                                    <span>{{ $general->cur_sym . showAmount($general->monthly_transfer_limit) }} (@lang('Max'))</span>
                                </li>

                                @php $transferCharge = $general->transferCharge(); @endphp

                                @if ($transferCharge)
                                    <li class="pricing-card__list flex-between">
                                        <span class="fw-bold">@lang('Charge Per Transaction')</span>
                                        <span class="text--danger"> {{ $transferCharge }}</span>
                                    </li>
                                @endif
                            </ul>
                        </div>

                        <button class="btn btn--base w-100" type="submit">@lang('Submit')</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="modal fade custom--modal" id="sendModal2">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">@lang('Transfer Money')</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form action="" method="post">
                    @csrf
                    <div class="modal-body">

                        <div class="form-group">
                            <label class="form-label required">@lang('Amount')</label>
                            <div class="input-group custom-input-group">
                                <input class="form-control form--control" name="amount" type="text" required>
                                <span class="input-group-text">@lang($general->cur_text)</span>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="form-label required">@lang('Beneficiary\'s Account Number')</label>
                            <div class="input-group custom-input-group">
                                <input class="form-control form--control" name="account" type="text" required>
                            </div>
                        </div>

                        @include($activeTemplate . 'partials.otp_field')

                        <div class="my-4">
                            <ul>
                                <li class="pricing-card__list flex-between">
                                    <span class="fw-bold">@lang('Limit Per Transaction')</span>
                                    <span>{{ $general->cur_sym . showAmount($general->minimum_transfer_limit) }} (@lang('Min'))</span>
                                </li>

                                <li class="pricing-card__list flex-between">
                                    <span class="fw-bold">@lang('Daily Limit')</span>
                                    <span>{{ $general->cur_sym . showAmount($general->daily_transfer_limit) }} (@lang('Max'))</span>
                                </li>

                                <li class="pricing-card__list flex-between">
                                    <span class="fw-bold">@lang('Monthly Limit')</span>
                                    <span>{{ $general->cur_sym . showAmount($general->monthly_transfer_limit) }} (@lang('Max'))</span>
                                </li>

                                @php $transferCharge = $general->transferCharge(); @endphp

                                @if ($transferCharge)
                                    <li class="pricing-card__list flex-between">
                                        <span class="fw-bold">@lang('Charge Per Transaction')</span>
                                        <span class="text--danger"> {{ $transferCharge }}</span>
                                    </li>
                                @endif
                            </ul>
                        </div>

                        <button class="btn btn--base w-100" type="submit">@lang('Submit')</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endpush

@push('script')
    <script>
        'use strict';
        (function($) {
            $('.sendBtn').on('click', function() {
                let modal = $('#sendModal');
                let route = `{{ route('user.transfer.own.bank.request', ':id') }}`;
                modal.find('form')[0].action = route.replace(':id', $(this).data('id'))
                modal.modal('show');
            });
        })(jQuery)
    </script>
    <script>
        'use strict';
        (function($) {
            $('.sendBtn2').on('click', function() {
                let modal = $('#sendModal2');
                let route = `{{ route('user.transfer.own.bank.request') }}`;
                modal.find('form')[0].action = route
                modal.modal('show');
            });
        })(jQuery)
    </script>
@endpush

