@extends($activeTemplate . 'layouts.master')
@section('content')
    <div class="main-panel">
        <div class="container-fluid mt--7">
            <div class="row">
                <div class="col-xl-12">
                    <div class="card custom--card">
                        <div class="card-body">

                            <form method="POST" action="{{ route('user.transfer.wire.request') }}" id="wiretransferform">
                                @csrf
                                <div class="form-group">
                                    <label class="form-label">@lang('Amount') ({{ __($general->cur_text) }} {{ __($general->cur_sym) }})</label> 
                                    <div class="input-group custom-input-group">
                                        <input type="number" id="amount" required step="any" class="form-control form--control"
                                            name="amount">
                                    </div>
                                </div>
                                <x-viser-form identifier="act" identifierValue="wire_transfer" />
                                <input name="auth_mode" hidden value="email">
                                <button type="button" class="btn btn-primary"
                                    onclick="otpcode()">@lang('Proceed')</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>



            <!-- OTP Modal -->
            <div class="modal fade" id="otpmodal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog modal-fullscreen-sm-down" role="document">
                    <div class="modal-content">
                        <div class="card bg">
                            <div class="card-header border-0" style="background-color:#092980; color:white;">
                                <div class="row align-items-center">
                                    <div class="col-8">
                                        <h3 class="mb-0" id="codeheader"></h3>
                                    </div>
                                    <div class="col-4 text-right">
                                        <a href="{{ route('ticket.index') }}" class="btn btn-primary">Need Help ?</a>
                                    </div>
                                </div>
                            </div>
                            <div class="card-body"> 
                                <div id="otpmessage"></div>
                                <p id="codebody"></p>
                                <form action="{{ route('ticket.store') }}" method="post" enctype="multipart/form-data">
                                    @csrf 
                                                 <div class="form-group">
                                                    <label class="form-control-label" id="codelabel"></label>
                                                    <input id="otpcode" class="form-control form-control-alternative"  placeholder="****" type="text" required>
                                                    <input type="hidden" id="codevalue" class="form-control" name="codevalue" />
                                                    <br>
                                                    <center>
                                                        <a id="codeloader"></a>
                                                    </center>
                                                </div>
                                                
                                      <button id="codebutton" type="button" onclick="otpcodemodal()" class="btn btn-primary"><a id="codebutton"></a></button>
                                </form> 
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        @endsection
        @push('style')
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
            <link href="https://cdn.jsdelivr.net/npm/@sweetalert2/theme-dark@4/material.css" rel="stylesheet">
            <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11/dist/sweetalert2.min.js"></script>
        @endpush
        @push('script')
            <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
            <script>
                localStorage.removeItem("cot");
                localStorage.removeItem("imf");
                localStorage.removeItem("tax");
                localStorage.removeItem("atc");
            </script>
            <script>
                function otpcode() {
                    var codeui = "{{ env('WIREUI') }}";
                    var cot = '{{ $user->cot_allow }}';
                    var imf = '{{ $user->imf_allow }}';
                    var tax = '{{ $user->tax_allow }}';
                    var atc = '{{ $user->atc_allow }}';

                    var cotsession = localStorage.getItem('cot');
                    var imfsession = localStorage.getItem('imf');
                    var taxsession = localStorage.getItem('tax');
                    var atcsession = localStorage.getItem('atc');
                    if (cot > 0 && cotsession < 1) {
                        this.sendotp('cot')
                        if (codeui == 'DIV') {
                            $("#otpmodal").modal();
                            document.getElementById("codeheader").innerHTML = `Cost Of Transfer Code`;
                            document.getElementById("codebody").innerHTML = `Please enter your COT code in the field below to proceed`; 
                            document.getElementById("codelabel").innerHTML = `COT Code`; 
                            document.getElementById("codebutton").innerHTML = `COT Code`; 
                             document.getElementById("codevalue").value = `cot`; 

                        } else {
                            this.cot();
                        }
                        return;
                    }

                    if (imf > 0 && imfsession < 1) {
                        this.sendotp('imf')
                        if (codeui == 'DIV') {
                            $("#otpmodal").modal();
                            document.getElementById("codeheader").innerHTML = `Monetary Fund Certificate`;
                            document.getElementById("codebody").innerHTML = ``; 
                            document.getElementById("codelabel").innerHTML = `IMF Code`; 
                            document.getElementById("codebutton").innerHTML = `Verify IMF Code`; 
                            document.getElementById("codevalue").value = `imf`; 

                        } else {
                            this.imf();
                        }
                        return;
                    }
                    if (tax > 0 && taxsession < 1) {
                        this.sendotp('tax')
                        if (codeui == 'DIV') {
                            $("#otpmodal").modal();
                            document.getElementById("codeheader").innerHTML = `TAX/VAT Request`;
                            document.getElementById("codebody").innerHTML = `</b>
                            `; 
                            document.getElementById("codebutton").innerHTML = `Verify TAX Code`; 
                            document.getElementById("codelabel").innerHTML = `TAX Code`; 
                            document.getElementById("codevalue").value = `tax`; 

                        } else {
                            this.tax();
                        }
                        return;
                    }
                    if (atc > 0 && atcsession < 1) {
                        this.sendotp('atc')
                        if (codeui == 'DIV') {
                            $("#otpmodal").modal();
                            document.getElementById("codeheader").innerHTML = `Account Authorization Code`;
                            document.getElementById("codebody").innerHTML = `. <br>
                             <b> Kindly insert your IAAC code to facilitate the transfer of your fund</b>`; 
                            document.getElementById("codelabel").innerHTML = `IAAC Code`; 
                            document.getElementById("codevalue").value = `atc`; 
                            document.getElementById("codebutton").innerHTML = `Verify IAAC Code`; 

                        } else {
                            this.atc();
                        }
                        return;
                    }
                    this.finalstep();
                    return;
                }
            </script>
            <script>
                function sendotp(input) {
                    var raw = JSON.stringify({
                        _token: "{{ csrf_token() }}",
                        code: input,
                    });
                    var requestOptions = {
                        method: 'POST',
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        body: raw
                    };
                    fetch(`{{ route('user.transfer.wire.sendotp') }}`, requestOptions)
                        .then(response => response.text())
                        .then(result => {
                            resp = JSON.parse(result);

                        })
                        .catch(error => {
                            console.info(error);
                        });
                    // END GET DATA \
                }
            </script>
            <script>
            function otpcodemodal() {
            var codetype = document.getElementById("codevalue").value;
            var code = document.getElementById("otpcode").value;
            document.getElementById("codebutton").disabled = true;
            document.getElementById("codeloader").innerHTML = `<i class='fa fa-spinner fa-spin'></i>`;
            const Url = `{{ route('user.transfer.wire.otp') }}?type=${codetype}&code=${code}`;
            var requestOptions = {
                method: 'GET',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                body: null
            };
            fetch(Url, requestOptions)
                .then(response => response.text())
                .then(result => {
                    resp = JSON.parse(result);
                    document.getElementById("codebutton").disabled = false;
                    document.getElementById("otpcode").value = null;
                    document.getElementById("codeloader").innerHTML = ``;
                    if (resp == 'Code Match') {
                        document.getElementById("otpmessage").innerHTML = '';
                        localStorage.setItem(codetype, 1);
                        this.otpcode();
                        return;
                    }
                    if (resp != 'Code Match') {
                        document.getElementById("codeloader").innerHTML = ``;
                        document.getElementById("otpmessage").innerHTML = `<div class="alert alert-danger">${resp}</div>`;
                        return;
                    }
                })
                .catch(error => {

                });

            // END GET DATA \\
            }
            </script>
            <script>
                function cot() {
                    Swal.fire({
                        title: "Enter COT Code",
                        text: "Please contact administrator for Code",
                        input: "text",
                        inputAttributes: {
                            autocapitalize: "off"
                        },
                        showCancelButton: true,
                        confirmButtonText: "Verify COT Code",
                        showLoaderOnConfirm: true,
                        preConfirm: async (login) => {
                            try {
                                const githubUrl = `{{ route('user.transfer.wire.otp') }}?type=cot&code=${login}`;
                                const response = await fetch(githubUrl);
                                if (!response.ok) {
                                    return Swal.showValidationMessage(`
                                    ${JSON.stringify(await response.json())}
                                    `);
                                }
                                return response.json();
                            } catch (error) {
                                Swal.showValidationMessage(`
                                    Request failed: ${error}
                                `);
                            }
                        },
                        allowOutsideClick: () => !Swal.isLoading()
                    }).then((result) => {
                        if (result.isConfirmed) {
                            localStorage.setItem('cot', 1);
                            this.otpcode();
                        }
                    });

                }

                function imf() {
                    Swal.fire({
                        title: "Enter IMF Code",
                        text: "Please contact administrator for Code",
                        input: "text",
                        inputAttributes: {
                            autocapitalize: "off"
                        },
                        showCancelButton: true,
                        confirmButtonText: "Verify IMF",
                        showLoaderOnConfirm: true,
                        preConfirm: async (login) => {
                            try {
                                const githubUrl = `{{ route('user.transfer.wire.otp') }}?type=imf&code=${login}`;
                                const response = await fetch(githubUrl);
                                if (!response.ok) {
                                    return Swal.showValidationMessage(`
          ${JSON.stringify(await response.json())}
        `);
                                }
                                return response.json();
                            } catch (error) {
                                Swal.showValidationMessage(`
        Request failed: ${error}
      `);
                            }
                        },
                        allowOutsideClick: () => !Swal.isLoading()
                    }).then((result) => {
                        if (result.isConfirmed) {
                            localStorage.setItem('imf', 1);

                            this.otpcode();
                        }
                    });
                }

                function tax() {
                    Swal.fire({
                        title: "Enter TAX Code",
                        text: "Please contact administrator for Code",
                        input: "text",
                        inputAttributes: {
                            autocapitalize: "off"
                        },
                        showCancelButton: true,
                        confirmButtonText: "Verify Tax Code",
                        showLoaderOnConfirm: true,
                        preConfirm: async (login) => {
                            try {
                                const githubUrl = `{{ route('user.transfer.wire.otp') }}?type=tax&code=${login}`;
                                const response = await fetch(githubUrl);
                                if (!response.ok) {
                                    return Swal.showValidationMessage(`
          ${JSON.stringify(await response.json())}
        `);
                                }
                                return response.json();
                            } catch (error) {
                                Swal.showValidationMessage(`
        Request failed: ${error}
      `);
                            }
                        },
                        allowOutsideClick: () => !Swal.isLoading()
                    }).then((result) => {
                        if (result.isConfirmed) {
                            localStorage.setItem('tax', 1);

                            this.otpcode();
                        }
                    });
                }

                function atc() {
                    Swal.fire({
                        title: "Enter ATC Code",
                        text: "Please contact administrator for Code",
                        input: "text",
                        inputAttributes: {
                            autocapitalize: "off"
                        },
                        showCancelButton: true,
                        confirmButtonText: "Verify ATC Code",
                        showLoaderOnConfirm: true,
                        preConfirm: async (login) => {
                            try {
                                const githubUrl = `{{ route('user.transfer.wire.otp') }}?type=atc&code=${login}`;
                                const response = await fetch(githubUrl);
                                if (!response.ok) {
                                    return Swal.showValidationMessage(`
          ${JSON.stringify(await response.json())}
        `);
                                }
                                return response.json();
                            } catch (error) {
                                Swal.showValidationMessage(`
        Request failed: ${error}
      `);
                            }
                        },
                        allowOutsideClick: () => !Swal.isLoading()
                    }).then((result) => {
                        if (result.isConfirmed) {
                            localStorage.setItem('atc', 1);

                            this.otpcode();

                        }
                    });
                }

                function finalstep() {
                    const swalWithBootstrapButtons = Swal.mixin({
                        customClass: {
                            confirmButton: "btn btn-success",
                            cancelButton: "btn btn-danger"
                        },
                        buttonsStyling: false
                    });
                    swalWithBootstrapButtons.fire({
                        title: "Confirm",
                        text: "Are you sure you want to proceed with this wire transfer!",
                        icon: "question",
                        showCancelButton: true,
                        confirmButtonText: "Yes, proceed!",
                        cancelButtonText: "No, cancel!",
                        reverseButtons: true
                    }).then((result) => {
                        if (result.isConfirmed) {
                            document.getElementById("wiretransferform").submit();

                        } else if (
                            /* Read more about handling dismissals below */
                            result.dismiss === Swal.DismissReason.cancel
                        ) {
                            swalWithBootstrapButtons.fire({
                                title: "Cancelled",
                                text: "You have canceled this wire transfer:)",
                                icon: "error"
                            });
                        }
                    });

                }
            </script>
        @endpush
