@extends($activeTemplate . 'layouts.master')
@section('content')
 
            <div class="col-12">
                <div class="alert alert-warning mb-3" role="alert">
                    <strong> <i class="la la-info-circle"></i> @lang('You need to complete your profile to get access to your dashboard')</strong>
                </div>
                <!-- ---------------------
                                                    start Step wizard with validation
                                                ---------------- -->
                <div class="card">
                  <div class="card-body wizard-content">
                    <h4 class="card-title">Step wizard with validation</h4>
                    <p class="card-subtitle mb-3"> You can us the validation like what we did </p>
                     <form method="POST" action="{{ route('user.data.submit') }}"  class="submit-form validation-wizard wizard-circle mt-5" enctype="multipart/form-data">
                     @csrf
                      <!-- Step 1 -->
                      <h6>Step 1</h6>
                      <section>
                        <div class="row">
                          <div class="col-md-6">
                            <div class="mb-3">
                              <label class="form-label required" for="firstname"> @lang('First Name') : <span class="danger">*</span>
                              </label>
                              <input type="text" class="form-control" required name="firstname" value="{{ old('firstname') }}" required>
                            </div>
                          </div>
                          <div class="col-md-6">
                            <div class="mb-3">
                              <label class="form-label required" for="lastname"> @lang('Last Name') : <span class="danger">*</span>
                              </label>
                              <input type="text" class="form-control" id="lastname" name="lastname" value="{{ old('lastname') }}" required>
                            </div>
                          </div>
                        </div>
                        <div class="row">

                          <div class="col-md-12">
                            <div class="mb-3">
                              <label class="form-label required" for="account_number">Account Number :</label>
                              <input type="tel" class="form-control" id="account_number" disabled class="form-control required" value="{{Auth::user()->account_number}}" id="wphoneNumber2" />
                            </div>
                          </div>

                          <div class="col-md-6">
                            <div class="mb-3">
                              <label class="form-label required" for="email"> Email Address : <span class="danger">*</span>
                              </label>
                              <input type="email" disabled class="form-control required" value="{{Auth::user()->email}}" id="email" name="emailAddress" />
                            </div>
                          </div>
                          <div class="col-md-6">
                            <div class="mb-3">
                              <label class="form-label required" for="phone">Phone Number :</label>
                              <input type="tel" class="form-control"  disabled class="form-control required" value="{{Auth::user()->mobile}}" id="phone" />
                            </div>
                          </div>
                        </div>
                         
                      </section>
                      <!-- Step 2 -->
                      <h6>Step 2</h6>
                      <section>
                        <div class="row">
                          <div class="col-md-12">
                            <div class="mb-3">
                                <label class="form-label">@lang('Address')</label>
                                <textarea type="text" class="form-control required" name="address" value="{{ old('address') }}"></textarea>
                            </div>
                          </div>
                          <div class="col-md-12">
                            <div class="mb-3">
                                <label class="form-label">@lang('State')</label>
                                <input type="text" class="form-control required" name="state" value="{{ old('state') }}">
                            </div>
                          </div>
                          <div class="col-md-6">
                            <div class="mb-3">
                                <label class="form-label">@lang('City')</label>
                                <input type="text" class="form-control required" name="city" value="{{ old('city') }}">
                            </div>
                          </div>
                          <div class="col-md-6">
                            <div class="mb-3">
                                <label class="form-label">@lang('Zip Code')</label>
                                <input type="text" class="form-control required" name="zip" value="{{ old('zip') }}">
                            </div>
                          </div>
                        </div>
                      </section>
                      <!-- Step 3 -->
                      <h6>Step 3</h6>
                      <section>
                        <div class="row">
                           
                            <div class="form-group col-12">
                                <label class="form-label required">@lang('Image')</label>
                                <input type="file" class="form-control" name="image" id="imageUpload" value="{{ old('firstname') }}" accept=".png, .jpg, .jpeg" required>
                                <div class="proifle-image-preview d-none"><img src="" alt="profile-image"></div>
                            </div>
                        </div>
                      </section>
                      
                    </form>
                  </div>
                </div>
                <!-- ---------------------
                                                    end Step wizard with validation
                                                ---------------- -->
              </div>


            
@endsection

@push('style')
    <style>
        .proifle-image-preview {
            margin-top: 15px;
        }

        .proifle-image-preview img {
            width: 200px;
            height: 160px;
        }
    </style>
@endpush

@push('script') 
<script src="{{ asset($activeTemplateTrue . 'dist/libs/jquery-steps/build/jquery.steps.min.js')}}"></script>
<script src="{{ asset($activeTemplateTrue . 'dist/libs/jquery-validation/dist/jquery.validate.min.js')}}"></script>
<script src="{{ asset($activeTemplateTrue . 'dist/js/forms/form-wizard.jss')}}"></script>
<script>
  

var form = $(".validation-wizard").show();

$(".validation-wizard").steps({
  headerTag: "h6",
  bodyTag: "section",
  transitionEffect: "fade",
  titleTemplate: '<span class="step">#index#</span> #title#',
  labels: {
    finish: "Complete Profile",
  },
  onStepChanging: function (event, currentIndex, newIndex) {
    return (
      currentIndex > newIndex ||
      (!(3 === newIndex && Number($("#age-2").val()) < 18) &&
        (currentIndex < newIndex &&
          (form.find(".body:eq(" + newIndex + ") label.error").remove(),
          form.find(".body:eq(" + newIndex + ") .error").removeClass("error")),
        (form.validate().settings.ignore = ":disabled,:hidden"),
        form.valid()))
    );
  },
  onFinishing: function (event, currentIndex) {
    return (form.validate().settings.ignore = ":disabled"), form.valid();
  },
  onFinished: function (event, currentIndex) {
    $('.submit-form').submit();
  },
}),
  $(".validation-wizard").validate({
    ignore: "input[type=hidden]",
    errorClass: "text-danger",
    successClass: "text-success",
    highlight: function (element, errorClass) {
      $(element).removeClass(errorClass);
    },
    unhighlight: function (element, errorClass) {
      $(element).removeClass(errorClass);
    },
    errorPlacement: function (error, element) {
      error.insertAfter(element);
    },
    rules: {
      email: {
        email: !0,
      },
    },
    
  });
</script>
    <script>
        $("#imageUpload").on('change', function() {
            if (this.files && this.files[0]) {
                let reader = new FileReader();
                reader.onload = function(e) {
                    $('.proifle-image-preview').removeClass('d-none');
                    $('.proifle-image-preview img').attr('src', e.target.result)
                }
                reader.readAsDataURL(this.files[0]);
            }
        });
    </script>
@endpush
