<div class="sidebar bg--danger">
    <button class="res-sidebar-close-btn"><i class="las la-times"></i></button>
    <div class="sidebar__inner">
        <div class="sidebar__logo">
            <a href="<?php echo e(route('admin.dashboard')); ?>" class="sidebar__main-logo">
                <img src="<?php echo e(siteLogo()); ?>" alt="<?php echo app('translator')->get('image'); ?>">
            </a>
        </div>

        <div class="sidebar__menu-wrapper" id="sidebar__menuWrapper">
            <ul class="sidebar__menu">

                <?php $hasPermission = App\Models\Role::hasPermission('admin.dashboard')  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.dashboard')); ?>">
                        <a class="nav-link" href="<?php echo e(route('admin.dashboard')); ?>">
                            <i class="menu-icon las la-home"></i>
                            <span class="menu-title"><?php echo app('translator')->get('Dashboard'); ?></span>
                        </a>
                    </li>
                <?php endif ?>

                 

                <?php $hasPermission = App\Models\Role::hasPermission(['admin.users*'])  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item sidebar-dropdown">
                        <a class="<?php echo e(menuActive('admin.users*', 3)); ?>" href="javascript:void(0)">
                            <i class="menu-icon las la-users"></i>
                            <span class="menu-title"><?php echo app('translator')->get('Manage Users'); ?></span>

                            <?php if(
                                $bannedUsersCount > 0): ?>
                                <span class="menu-badge pill bg--danger ms-auto">
                                    <i class="fa fa-exclamation"></i>
                                </span>
                            <?php endif; ?>
                        </a>
                        <div class="sidebar-submenu <?php echo e(menuActive('admin.users*', 2)); ?>">
                            <ul>

                                <li class="sidebar-menu-item <?php echo e(menuActive('admin.users.create')); ?>">
                                    <a class="nav-link" href="<?php echo e(route('admin.users.create')); ?>">
                                        <i class="menu-icon las la-dot-circle"></i>
                                        <span class="menu-title"><?php echo app('translator')->get('Create User'); ?></span>
                                    </a>
                                </li>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.users.active')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.users.active')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.users.active')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Active Users'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.users.banned')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.users.banned')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.users.banned')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Banned Users'); ?></span>
                                            <?php if($bannedUsersCount): ?>
                                                <span class="menu-badge pill bg--danger ms-auto"><?php echo e($bannedUsersCount); ?></span>
                                            <?php endif; ?>
                                        </a>
                                    </li>
                                <?php endif ?>
 
                                <?php $hasPermission = App\Models\Role::hasPermission('admin.users.all')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.users.all')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.users.all')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('All Users'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.users.notification.all')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.users.notification.all')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.users.notification.all')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Notification to All'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>
                            </ul>
                        </div>
                    </li>
                <?php endif ?>

                <?php $hasPermission = App\Models\Role::hasPermission(['admin.deposit*'])  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item sidebar-dropdown">
                        <a class="<?php echo e(menuActive('admin.deposit*', 3)); ?>" href="javascript:void(0)">
                            <i class="menu-icon las la-file-invoice-dollar"></i>
                            <span class="menu-title"><?php echo app('translator')->get('Deposits'); ?></span>
                            <?php if(0 < $pendingDepositsCount): ?>
                                <span class="menu-badge pill bg--danger ms-auto">
                                    <i class="fa fa-exclamation"></i>
                                </span>
                            <?php endif; ?>
                        </a>
                        <div class="sidebar-submenu <?php echo e(menuActive('admin.deposit*', 2)); ?>">
                            <ul>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.deposit.pending')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.deposit.pending')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.deposit.pending')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Pending Deposits'); ?></span>
                                            <?php if($pendingDepositsCount): ?>
                                                <span
                                                    class="menu-badge pill bg--danger ms-auto"><?php echo e($pendingDepositsCount); ?></span>
                                            <?php endif; ?>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.deposit.approved')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.deposit.approved')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.deposit.approved')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Approved Deposits'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.deposit.successful')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.deposit.successful')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.deposit.successful')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Successful Deposits'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.deposit.rejected')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.deposit.rejected')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.deposit.rejected')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Rejected Deposits'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.deposit.initiated')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.deposit.initiated')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.deposit.initiated')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Initiated Deposits'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.deposit.list')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.deposit.list')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.deposit.list')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('All Deposits'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                            </ul>
                        </div>
                    </li>
                <?php endif ?>

                 
                <?php $hasPermission = App\Models\Role::hasPermission(['admin.transfers*'])  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item sidebar-dropdown">
                        <a class="<?php echo e(menuActive('admin.transfer*', 3)); ?>" href="javascript:void(0)">
                            <i class="menu-icon las la-random"></i>
                            <span class="menu-title"><?php echo app('translator')->get('Wire Transfers'); ?> </span>
                            <?php if($pendingTransferCount): ?>
                                <span class="menu-badge pill bg--danger ms-auto">
                                    <i class="fa fa-exclamation"></i>
                                </span>
                            <?php endif; ?>
                        </a>
                        <div class="sidebar-submenu <?php echo e(menuActive('admin.transfer*', 2)); ?>">
                            <ul>
                                <?php $hasPermission = App\Models\Role::hasPermission('admin.transfers.pending')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.transfers.pending')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.transfers.pending')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Pending Transfers'); ?></span>
                                            <?php if($pendingTransferCount): ?>
                                                <span
                                                    class="menu-badge pill bg--danger ms-auto"><?php echo e($pendingTransferCount); ?></span>
                                            <?php endif; ?>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.transfers.rejected')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.transfers.rejected')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.transfers.rejected')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Rejected Transfers'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.transfers.wire')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.transfers.wire')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.transfers.wire')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Wire Transfers'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.transfers.index')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.transfers.index')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.transfers.index')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('All Transfers'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>
                            </ul>
                        </div>
                    </li>
                <?php endif ?>

                <?php $hasPermission = App\Models\Role::hasPermission(['admin.wire.transfer*'])  ? 1 : 0;
            if($hasPermission == 1): ?>
                <li class="sidebar-menu-item sidebar-dropdown">
                    <a class="<?php echo e(menuActive('admin.wire.transfer*', 3)); ?>" href="javascript:void(0)">
                        <i class="menu-icon las la-comments-dollar"></i>
                        <span class="menu-title"><?php echo app('translator')->get('Transfer Settings'); ?> </span>
                    </a>
                    <div class="sidebar-submenu <?php echo e(menuActive('admin.wire.transfer*', 2)); ?>">
                        <ul>
                            <?php $hasPermission = App\Models\Role::hasPermission('admin.wire.transfer.setting')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                <li class="sidebar-menu-item <?php echo e(menuActive('admin.wire.transfer.setting')); ?>">
                                    <a class="nav-link" href="<?php echo e(route('admin.wire.transfer.setting')); ?>">
                                        <i class="menu-icon las la-dot-circle"></i>
                                        <span class="menu-title"><?php echo app('translator')->get('Setting'); ?></span>
                                    </a>
                                </li>
                            <?php endif ?>

                            <?php $hasPermission = App\Models\Role::hasPermission('admin.wire.transfer.form')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                <li class="sidebar-menu-item <?php echo e(menuActive('admin.wire.transfer.form')); ?>">
                                    <a class="nav-link" href="<?php echo e(route('admin.wire.transfer.form')); ?>">
                                        <i class="menu-icon las la-dot-circle"></i>
                                        <span class="menu-title"><?php echo app('translator')->get('Form'); ?></span>
                                    </a>
                                </li>
                            <?php endif ?>

                        </ul>
                    </div>
                </li>
            <?php endif ?>

                <?php $hasPermission = App\Models\Role::hasPermission('admin.card*')  ? 1 : 0;
            if($hasPermission == 1): ?>
                <li class="sidebar-menu-item sidebar-dropdown">
                    <a class="<?php echo e(menuActive('admin.card*', 3)); ?>" href="javascript:void(0)">
                        <i class="menu-icon las la-credit-card"></i>
                        <span class="menu-title"><?php echo app('translator')->get('Manage ATM Card'); ?> </span>
                    </a>
                    <div class="sidebar-submenu <?php echo e(menuActive('admin.card*', 2)); ?>">
                        <ul>
                            <?php $hasPermission = App\Models\Role::hasPermission('admin.card.all')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                 <li class="sidebar-menu-item <?php echo e(menuActive('admin.card.all')); ?>">
                                    <a class="nav-link" href="<?php echo e(route('admin.card.all')); ?>">
                                        <i class="menu-icon las la-dot-circle"></i>
                                        <span class="menu-title"><?php echo app('translator')->get('All Cards'); ?></span>
                                        
                                    </a>
                                </li>
                            <?php endif; ?>
                            <?php $hasPermission = App\Models\Role::hasPermission('admin.card.pending')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                <li class="sidebar-menu-item <?php echo e(menuActive('admin.card.pending')); ?>">
                                    <a class="nav-link" href="<?php echo e(route('admin.card.pending')); ?>">
                                        <i class="menu-icon las la-dot-circle"></i>
                                        <span class="menu-title"><?php echo app('translator')->get('Pending Request'); ?></span>
                                    </a>
                                </li>
                                <?php endif; ?>
                                <?php $hasPermission = App\Models\Role::hasPermission('admin.card.approved')  ? 1 : 0;
            if($hasPermission == 1): ?>
                            
                                <li class="sidebar-menu-item <?php echo e(menuActive('admin.card.approved')); ?>">
                                    <a class="nav-link" href="<?php echo e(route('admin.card.approved')); ?>">
                                        <i class="menu-icon las la-dot-circle"></i>
                                        <span class="menu-title"><?php echo app('translator')->get('Approved Request'); ?></span>
                                    </a>
                                </li>
                                <?php endif; ?>
                                <?php $hasPermission = App\Models\Role::hasPermission('admin.card.declined')  ? 1 : 0;
            if($hasPermission == 1): ?>
                             
                                <li class="sidebar-menu-item <?php echo e(menuActive('admin.card.declined')); ?>">
                                    <a class="nav-link" href="<?php echo e(route('admin.card.declined')); ?>">
                                        <i class="menu-icon las la-dot-circle"></i>
                                        <span class="menu-title"><?php echo app('translator')->get('Declined Requests'); ?></span>
                                    </a>
                                </li>
                                <?php endif; ?>
                             
                        </ul>
                    </div>
                </li>
                <?php endif; ?>
 

               

                 
                 

                <?php $hasPermission = App\Models\Role::hasPermission(['admin.loan*'])  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item sidebar-dropdown">
                        <a class="<?php echo e(menuActive('admin.loan*', 3)); ?>" href="javascript:void(0)">
                            <i class="menu-icon las la-hand-holding-usd"></i>
                            <span class="menu-title"><?php echo app('translator')->get('Loans'); ?></span>
                            <?php if($pendingLoanCount || $dueLoanCount): ?>
                                <span class="menu-badge pill bg--danger ms-auto">
                                    <i class="fa fa-exclamation"></i>
                                </span>
                            <?php endif; ?>
                        </a>

                        <div class="sidebar-submenu <?php echo e(menuActive('admin.loan*', 2)); ?>">
                            <ul>
                                <?php $hasPermission = App\Models\Role::hasPermission('admin.loan.pending')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.loan.pending')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.loan.pending')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Pending Loans'); ?></span>
                                            <?php if($pendingLoanCount): ?>
                                                <span
                                                    class="menu-badge pill bg--danger ms-auto"><?php echo e($pendingLoanCount); ?></span>
                                            <?php endif; ?>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.loan.running')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.loan.running')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.loan.running')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Running Loans'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.loan.due')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.loan.due')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.loan.due')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Due Loans'); ?></span>
                                            <?php if($dueLoanCount): ?>
                                                <span class="menu-badge pill bg--danger ms-auto"><?php echo e($dueLoanCount); ?></span>
                                            <?php endif; ?>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.loan.paid')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.loan.paid')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.loan.paid')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Paid Loans'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>


                                <?php $hasPermission = App\Models\Role::hasPermission('admin.loan.rejected')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.loan.rejected')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.loan.rejected')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Rejected Loans'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.loan.index')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.loan.index')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.loan.index')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('All Loans'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                            </ul>
                        </div>
                    </li>
                <?php endif ?>

                 

                <?php $hasPermission = App\Models\Role::hasPermission(['admin.ticket*'])  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item sidebar-dropdown">
                        <a class="<?php echo e(menuActive('admin.ticket*', 3)); ?>" href="javascript:void(0)">
                            <i class="menu-icon la la-ticket"></i>
                            <span class="menu-title"><?php echo app('translator')->get('Support Ticket'); ?> </span>
                            <?php if(0 < $pendingTicketCount): ?>
                                <span class="menu-badge pill bg--danger ms-auto">
                                    <i class="fa fa-exclamation"></i>
                                </span>
                            <?php endif; ?>
                        </a>
                        <div class="sidebar-submenu <?php echo e(menuActive('admin.ticket*', 2)); ?>">
                            <ul>
                                <?php $hasPermission = App\Models\Role::hasPermission('admin.ticket.pending')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.ticket.pending')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.ticket.pending')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Pending Ticket'); ?></span>
                                            <?php if($pendingTicketCount): ?>
                                                <span
                                                    class="menu-badge pill bg--danger ms-auto"><?php echo e($pendingTicketCount); ?></span>
                                            <?php endif; ?>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.ticket.closed')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.ticket.closed')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.ticket.closed')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Closed Ticket'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.ticket.answered')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.ticket.answered')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.ticket.answered')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Answered Ticket'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.ticket.index')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.ticket.index')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.ticket.index')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('All Ticket'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>
                            </ul>
                        </div>
                    </li>
                <?php endif ?>

                <?php $hasPermission = App\Models\Role::hasPermission(['admin.report*'])  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item sidebar-dropdown">
                        <a class="<?php echo e(menuActive('admin.report*', 3)); ?>" href="javascript:void(0)">
                            <i class="menu-icon la la-list"></i>
                            <span class="menu-title"><?php echo app('translator')->get('Report'); ?> </span>
                        </a>
                        <div class="sidebar-submenu <?php echo e(menuActive('admin.report*', 2)); ?>">
                            <ul>
                                <?php $hasPermission = App\Models\Role::hasPermission('admin.report.transaction')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li
                                        class="sidebar-menu-item <?php echo e(menuActive(['admin.report.transaction', 'admin.report.transaction.search'])); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.report.transaction')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Transaction Log'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.report.login.history')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li
                                        class="sidebar-menu-item <?php echo e(menuActive(['admin.report.login.history', 'admin.report.login.ipHistory'])); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.report.login.history')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Login History'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.report.notification.history')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.report.notification.history')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.report.notification.history')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Notification History'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                            </ul>
                        </div>
                    </li>
                <?php endif ?>

                

                <?php $hasPermission = App\Models\Role::hasPermission('admin.setting.index')  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.setting.index')); ?>">
                        <a class="nav-link" href="<?php echo e(route('admin.setting.index')); ?>">
                            <i class="menu-icon las la-life-ring"></i>
                            <span class="menu-title"><?php echo app('translator')->get('General Setting'); ?></span>
                        </a>
                    </li>
                <?php endif ?>
 

                <?php $hasPermission = App\Models\Role::hasPermission('admin.setting.logo.icon')  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.setting.logo.icon')); ?>">
                        <a class="nav-link" href="<?php echo e(route('admin.setting.logo.icon')); ?>">
                            <i class="menu-icon las la-images"></i>
                            <span class="menu-title"><?php echo app('translator')->get('Logo & Favicon'); ?></span>
                        </a>
                    </li>
                <?php endif ?>

                <?php $hasPermission = App\Models\Role::hasPermission('admin.setting.system.configuration')  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.setting.system.configuration')); ?>">
                        <a class="nav-link" href="<?php echo e(route('admin.setting.system.configuration')); ?>">
                            <i class="menu-icon las la-cog"></i>
                            <span class="menu-title"><?php echo app('translator')->get('System Configuration'); ?></span>
                        </a>
                    </li>
                <?php endif ?>

                <?php $hasPermission = App\Models\Role::hasPermission('admin.kyc.setting')  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.kyc.setting')); ?>">
                        <a class="nav-link" href="<?php echo e(route('admin.kyc.setting')); ?>">
                            <i class="menu-icon las la-user-check"></i>
                            <span class="menu-title"><?php echo app('translator')->get('KYC Setting'); ?></span>
                        </a>
                    </li>
                <?php endif ?>


                 

                <?php $hasPermission = App\Models\Role::hasPermission('admin.seo')  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.seo')); ?>">
                        <a class="nav-link" href="<?php echo e(route('admin.seo')); ?>">
                            <i class="menu-icon las la-globe"></i>
                            <span class="menu-title"><?php echo app('translator')->get('SEO Manager'); ?></span>
                        </a>
                    </li>
                <?php endif ?>

                <?php $hasPermission = App\Models\Role::hasPermission(['admin.setting.notification*'])  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item sidebar-dropdown">
                        <a class="<?php echo e(menuActive('admin.setting.notification*', 3)); ?>" href="javascript:void(0)">
                            <i class="menu-icon las la-bell"></i>
                            <span class="menu-title"><?php echo app('translator')->get('Notification Setting'); ?></span>
                        </a>
                        <div class="sidebar-submenu <?php echo e(menuActive('admin.setting.notification*', 2)); ?>">
                            <ul>
                                <?php $hasPermission = App\Models\Role::hasPermission('admin.setting.notification.global')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.setting.notification.global')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.setting.notification.global')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Global Template'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.setting.notification.email')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.setting.notification.email')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.setting.notification.email')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Email Setting'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.setting.notification.sms')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.setting.notification.sms')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.setting.notification.sms')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('SMS Setting'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.setting.notification.push')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.setting.notification.push')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.setting.notification.push')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Push Notification'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.setting.notification.templates')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.setting.notification.templates')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.setting.notification.templates')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Notification Templates'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>
                            </ul>
                        </div>
                    </li>
                <?php endif ?>

                <?php if(can(['admin.frontend.templates', 'admin.frontend.manage.pages', 'admin.frontend.sections'])): ?>
                    <li class="sidebar__menu-header"><?php echo app('translator')->get('Frontend Manager'); ?></li>
                <?php endif; ?> 

                

                <?php $hasPermission = App\Models\Role::hasPermission('admin.maintenance.mode')  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.maintenance.mode')); ?>">
                        <a class="nav-link" href="<?php echo e(route('admin.maintenance.mode')); ?>">
                            <i class="menu-icon las la-robot"></i>
                            <span class="menu-title"><?php echo app('translator')->get('Maintenance Mode'); ?></span>
                        </a>
                    </li>
                <?php endif ?>

                <?php $hasPermission = App\Models\Role::hasPermission('admin.setting.cookie')  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.setting.cookie')); ?>">
                        <a class="nav-link" href="<?php echo e(route('admin.setting.cookie')); ?>">
                            <i class="menu-icon las la-cookie-bite"></i>
                            <span class="menu-title"><?php echo app('translator')->get('GDPR Cookie'); ?></span>
                        </a>
                    </li>
                <?php endif ?>


                <?php $hasPermission = App\Models\Role::hasPermission(['admin.system*'])  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item sidebar-dropdown">
                        <a class="<?php echo e(menuActive('admin.system*', 3)); ?>" href="javascript:void(0)">
                            <i class="menu-icon la la-server"></i>
                            <span class="menu-title"><?php echo app('translator')->get('System'); ?></span>
                        </a>
                        <div class="sidebar-submenu <?php echo e(menuActive('admin.system*', 2)); ?>">
                            <ul>
                                <?php $hasPermission = App\Models\Role::hasPermission('admin.system.info')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.system.info')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.system.info')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Application'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.system.server.info')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.system.server.info')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.system.server.info')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Server'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.system.optimize')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.system.optimize')); ?>">
                                        <a class="nav-link" href="<?php echo e(route('admin.system.optimize')); ?>">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Cache'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                                <?php $hasPermission = App\Models\Role::hasPermission('admin.system.update')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.system.update')); ?> ">
                                        <a href="<?php echo e(route('admin.system.update')); ?>" class="nav-link">
                                            <i class="menu-icon las la-dot-circle"></i>
                                            <span class="menu-title"><?php echo app('translator')->get('Update'); ?></span>
                                        </a>
                                    </li>
                                <?php endif ?>

                            </ul>
                        </div>
                    </li>
                <?php endif ?>

                <?php $hasPermission = App\Models\Role::hasPermission('admin.setting.custom.css')  ? 1 : 0;
            if($hasPermission == 1): ?>
                    <li class="sidebar-menu-item <?php echo e(menuActive('admin.setting.custom.css')); ?>">
                        <a class="nav-link" href="<?php echo e(route('admin.setting.custom.css')); ?>">
                            <i class="menu-icon lab la-css3-alt"></i>
                            <span class="menu-title"><?php echo app('translator')->get('Custom CSS'); ?></span>
                        </a>
                    </li>
                <?php endif ?>

                
            </ul>
            <div class="text-uppercase mb-3 text-center">
                <span class="text--primary"><?php echo e(__(systemDetails()['name'])); ?></span>
                <span class="text--success"><?php echo app('translator')->get('V'); ?><?php echo e(systemDetails()['version']); ?> </span>
            </div>
        </div>
    </div>
</div>
<!-- sidebar end -->

<?php $__env->startPush('script'); ?>
    <script>
        if ($('li').hasClass('active')) {
            $('#sidebar__menuWrapper').animate({
                scrollTop: eval($(".active").offset().top - 320)
            }, 500);
        }
    </script>
<?php $__env->stopPush(); ?>
<?php /**PATH /home/unioneli/public_html/account/core/resources/views/admin/partials/sidenav.blade.php ENDPATH**/ ?>