<?php $__env->startSection('panel'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <form action="" method="post">
                    <?php echo csrf_field(); ?>
                    <div class="card-body">
                        <ul class="list-group">
                            <li class="list-group-item d-flex flex-sm-nowrap justify-content-between align-items-center flex-wrap gap-2">
                                <div>
                                    <p class="fw-bold mb-0"><?php echo app('translator')->get('Online User Registration'); ?></p>
                                    <p class="mb-0">
                                        <small><?php echo app('translator')->get('If this module is disabled, none can get registered on this system online.'); ?></small>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="registration" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($general->registration): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <div>
                                    <p class="form-control-label fw-bold"><?php echo app('translator')->get('Branch User Registration'); ?></p>
                                    <p class="mb-0">
                                        <?php echo app('translator')->get('If this module is disabled, none can get registered on this system from a branch.'); ?>
                                    </p>
                                </div>

                                <div class="form-group">
                                    <input name="module[branch_create_user]" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($modules && @$modules->branch_create_user): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex flex-sm-nowrap justify-content-between align-items-center flex-wrap gap-2">
                                <div>
                                    <p class="fw-bold mb-0"><?php echo app('translator')->get('Force SSL'); ?></p>
                                    <p class="mb-0">
                                        <small><?php echo app('translator')->get('By enabling'); ?> <span class="fw-bold"><?php echo app('translator')->get('Force SSL (Secure Sockets Layer)'); ?></span> <?php echo app('translator')->get('the system will force a visitor that he/she must have to visit in secure mode. Otherwise, the site will be loaded in secure mode.'); ?></small>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="force_ssl" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($general->force_ssl): ?> checked <?php endif; ?>>
                                </div>
                            </li>
                            <li class="list-group-item d-flex flex-sm-nowrap justify-content-between align-items-center flex-wrap gap-2">
                                <div>
                                    <p class="fw-bold mb-0"><?php echo app('translator')->get('Agree Policy'); ?></p>
                                    <p class="mb-0">
                                        <small><?php echo app('translator')->get('If you enable this module, that means a user must have to agree with your system\'s'); ?>
                                            <?php $hasPermission = App\Models\Role::hasPermission('admin.frontend.sections')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                                <a href="<?php echo e(route('admin.frontend.sections', 'policy_pages')); ?>"><?php echo app('translator')->get('policies'); ?></a>
                                            <?php else: ?>
                                                <?php echo app('translator')->get('policies'); ?>
                                            <?php endif ?>
                                            <?php echo app('translator')->get('during registration.'); ?></small>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="agree" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($general->agree): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex flex-sm-nowrap justify-content-between align-items-center flex-wrap gap-2">
                                <div>
                                    <p class="fw-bold mb-0"><?php echo app('translator')->get('Force Secure Password'); ?></p>
                                    <p class="mb-0">
                                        <small><?php echo app('translator')->get('By enabling this module, a user must set a secure password while signing up or changing the password.'); ?></small>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="secure_password" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($general->secure_password): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex flex-sm-nowrap justify-content-between align-items-center flex-wrap gap-2">
                                <div>
                                    <p class="fw-bold mb-0"><?php echo app('translator')->get('KYC Verification'); ?></p>
                                    <p class="mb-0">
                                        <small><?php echo app('translator')->get('If you enable'); ?> <span class="fw-bold"><?php echo app('translator')->get('KYC (Know Your Client)'); ?></span> <?php echo app('translator')->get('module, users must have to submit'); ?>
                                            <?php $hasPermission = App\Models\Role::hasPermission('admin.kyc.setting')  ? 1 : 0;
            if($hasPermission == 1): ?>
                                                <a href="<?php echo e(route('admin.kyc.setting')); ?>"><?php echo app('translator')->get('the required data'); ?></a>
                                            <?php else: ?>
                                                <?php echo app('translator')->get('the required data'); ?>
                                            <?php endif ?>
                                            . <?php echo app('translator')->get('Otherwise, any money out transaction will be prevented by this system.'); ?></small>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="kv" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($general->kv): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex flex-sm-nowrap justify-content-between align-items-center flex-wrap gap-2">
                                <div>
                                    <p class="fw-bold mb-0"><?php echo app('translator')->get('Email Verification'); ?></p>
                                    <p class="mb-0">
                                        <small>
                                            <?php echo app('translator')->get('If you enable'); ?> <span class="fw-bold"><?php echo app('translator')->get('Email Verification'); ?></span>, <?php echo app('translator')->get('users have to verify their email to access the dashboard. A 6-digit verification code will be sent to their email to be verified.'); ?>
                                            <br>
                                            <span class="fw-bold"><i><?php echo app('translator')->get('Note'); ?>:</i></span> <i><?php echo app('translator')->get('Make sure that the'); ?> <span class="fw-bold"><?php echo app('translator')->get('Email Notification'); ?> </span> <?php echo app('translator')->get('module is enabled'); ?></i>
                                        </small>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="ev" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($general->ev): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex flex-sm-nowrap justify-content-between align-items-center flex-wrap gap-2">
                                <div>
                                    <p class="fw-bold mb-0"><?php echo app('translator')->get('Email Notification'); ?></p>
                                    <p class="mb-0">
                                        <small><?php echo app('translator')->get('If you enable this module, the system will send emails to users where needed. Otherwise, no email will be sent.'); ?> <code><?php echo app('translator')->get('So be sure before disabling this module that, the system doesn\'t need to send any emails.'); ?></code></small>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="en" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($general->en): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex flex-sm-nowrap justify-content-between align-items-center flex-wrap gap-2">
                                <div>
                                    <p class="fw-bold mb-0"><?php echo app('translator')->get('Mobile Verification'); ?></p>
                                    <p class="mb-0">
                                        <small>
                                            <?php echo app('translator')->get('If you enable'); ?> <span class="fw-bold"><?php echo app('translator')->get('Mobile Verification'); ?></span>, <?php echo app('translator')->get('users have to verify their mobile to access the dashboard. A 6-digit verification code will be sent to their mobile to be verified.'); ?>
                                            <br>
                                            <span class="fw-bold"><i><?php echo app('translator')->get('Note'); ?>:</i></span> <i><?php echo app('translator')->get('Make sure that the'); ?> <span class="fw-bold"><?php echo app('translator')->get('SMS Notification'); ?> </span> <?php echo app('translator')->get('module is enabled'); ?></i>
                                        </small>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="sv" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($general->sv): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex flex-sm-nowrap justify-content-between align-items-center flex-wrap gap-2">
                                <div>
                                    <p class="fw-bold mb-0"><?php echo app('translator')->get('SMS Notification'); ?></p>
                                    <p class="mb-0">
                                        <small><?php echo app('translator')->get('If you enable this module, the system will send SMS to users where needed. Otherwise, no SMS will be sent.'); ?> <code><?php echo app('translator')->get('So be sure before disabling this module that, the system doesn\'t need to send any SMS.'); ?></code></small>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="sn" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($general->sn): ?> checked <?php endif; ?>>
                                </div>
                            </li>
                            <li class="list-group-item d-flex flex-wrap flex-sm-nowrap gap-2 justify-content-between align-items-center">
                                <div>
                                    <p class="fw-bold mb-0"><?php echo app('translator')->get('Language Option'); ?></p>
                                    <p class="mb-0">
                                        <small><?php echo app('translator')->get('If you enable this module, users can change the language according to their needs'); ?></small>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input type="checkbox" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" name="multi_language" <?php if($general->multi_language): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <div>
                                    <p class="fw-bold"><?php echo app('translator')->get('Deposit'); ?></p>
                                    <p class="mb-0">
                                        <small><?php echo app('translator')->get("Here you can enable/disable the deposit module. After disabling this module user can't deposit money on your system."); ?></small>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="module[deposit]" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($modules && $modules->deposit): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <div>
                                    <p class="form-control-label fw-bold"><?php echo app('translator')->get('Withdraw'); ?></p>
                                    <p class="mb-0">
                                        <?php echo app('translator')->get("Here you can enable/disable the withdraw module. After disabling this module user can't withdraw money from your system."); ?>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="module[withdraw]" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($modules && $modules->withdraw): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <div>
                                    <p class="form-control-label fw-bold"><?php echo app('translator')->get('FDR'); ?></p>
                                    <p class="mb-0">
                                        <?php echo app('translator')->get("Here you can enable/disable the FDR module. After disabling this module user can't FDR on your system."); ?>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="module[fdr]" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($modules && $modules->fdr): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <div>
                                    <p class="form-control-label fw-bold"><?php echo app('translator')->get('DPS'); ?></p>
                                    <p class="mb-0">
                                        <?php echo app('translator')->get("Here you can enable/disable the DPS module. After disabling this module user can't DPS on your system."); ?>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="module[dps]" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($modules && $modules->dps): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <div>
                                    <p class="form-control-label fw-bold"><?php echo app('translator')->get('Loan'); ?></p>
                                    <p class="mb-0">
                                        <?php echo app('translator')->get("Here you can enable/disable the Loan module. After disabling this module user can't apply for Loan on your system."); ?>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="module[loan]" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($modules && $modules->loan): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <div>
                                    <p class="form-control-label fw-bold"><?php echo app('translator')->get('ATM Cards'); ?></p>
                                    <p class="mb-0">
                                        <?php echo app('translator')->get("Here you can enable/disable the ATM Card module. After disabling this module user can't apply for ATM Cards on your system."); ?>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="module[card]" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($modules && $modules->card): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <div>
                                    <p class="form-control-label fw-bold"><?php echo app('translator')->get('Own Bank Transfer'); ?></p>
                                    <p class="mb-0">
                                        <?php echo app('translator')->get("Here you can enable/disable the Own Bank Transfer Module. After disabling this module user can't transfer money within "); ?> <b><?php echo e(__($general->site_name)); ?></b> <?php echo app('translator')->get('accounts.'); ?>
                                    </p>
                                </div>

                                <div class="form-group">
                                    <input name="module[own_bank]" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($modules && $modules->own_bank): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <div>
                                    <p class="form-control-label fw-bold"><?php echo app('translator')->get('Other Bank Transfer'); ?></p>
                                    <p class="mb-0"><?php echo app('translator')->get("Here you can enable/disable the Other Bank Transfer Module. After disabling this module user can't transfer money to other local banks"); ?>.
                                    </p>
                                </div>

                                <div class="form-group">
                                    <input name="module[other_bank]" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($modules && $modules->other_bank): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <div>
                                    <p class="form-control-label fw-bold"><?php echo app('translator')->get('Wire Transfer'); ?></p>
                                    <p class="mb-0">
                                        <?php echo app('translator')->get('Here you can enable/disable the Wire Transfer Module. After enable this module user send money to '); ?> <b><?php echo app('translator')->get('any ohter Bank or Country'); ?></b>
                                    </p>
                                </div>

                                <div class="form-group">
                                    <input name="module[wire_transfer]" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($modules && @$modules->wire_transfer): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <div>
                                    <p class="form-control-label fw-bold"><?php echo app('translator')->get('OTP Via Email'); ?></p>
                                    <p class="mb-0"><?php echo app('translator')->get('Control send OTP to the user via '); ?> <b><?php echo app('translator')->get('Email'); ?></b> <?php echo app('translator')->get('from here.'); ?></p>
                                </div>

                                <div class="form-group">
                                    <input name="module[otp_email]" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($modules && $modules->otp_email): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <div>
                                    <p class="form-control-label fw-bold"><?php echo app('translator')->get('OTP Via SMS'); ?></p>
                                    <p class="mb-0"><?php echo app('translator')->get('Control send OTP to the user via '); ?> <b><?php echo app('translator')->get('SMS'); ?></b> <?php echo app('translator')->get('from here.'); ?></p>
                                </div>
                                <div class="form-group">
                                    <input name="module[otp_sms]" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($modules && $modules->otp_sms): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex justify-content-between align-items-center">
                                <div>
                                    <p class="form-control-label fw-bold"><?php echo app('translator')->get('Referral System'); ?></p>
                                    <p class="mb-0">
                                        <?php echo app('translator')->get('Here you can enable/disable the Referral module. After disabling this module Reffer system can\'t work on your system.'); ?>
                                    </p>
                                </div>

                                <div class="form-group">
                                    <input name="module[referral_system]" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($modules && @$modules->referral_system): ?> checked <?php endif; ?>>
                                </div>
                            </li>

                            <li class="list-group-item d-flex flex-sm-nowrap justify-content-between align-items-center flex-wrap gap-2">
                                <div>
                                    <p class="fw-bold mb-0"><?php echo app('translator')->get('Push Notification'); ?></p>
                                    <p class="mb-0">
                                        <small><?php echo app('translator')->get('If you enable this module, the system will send Push Notification to users where needed. Otherwise, no Push Notification will be sent.'); ?> </small>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="pn" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($general->pn): ?> checked <?php endif; ?>>
                                </div>
                            </li>
                            <li class="list-group-item d-flex flex-sm-nowrap justify-content-between align-items-center flex-wrap gap-2">
                                <div>
                                    <p class="fw-bold mb-0"><?php echo app('translator')->get('Detect User Activity'); ?></p>
                                    <p class="mb-0">
                                        <small><?php echo app('translator')->get('If user is idle for a certain period of time, he/she will be logged out from the system.'); ?></small>
                                        <small><?php echo app('translator')->get('You can change time time from'); ?> <a href="<?php echo e(route('admin.setting.index')); ?>"><?php echo app('translator')->get('here'); ?></a></small>
                                    </p>
                                </div>
                                <div class="form-group">
                                    <input name="detect_activity" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" type="checkbox" <?php if($general->detect_activity): ?> checked <?php endif; ?>>
                                </div>
                            </li>
                        </ul>
                    </div>
                    <?php $hasPermission = App\Models\Role::hasPermission('admin.setting.system.configuration.submit')  ? 1 : 0;
            if($hasPermission == 1): ?>
                        <div class="card-footer">
                            <button class="btn btn--primary w-100 h-45" type="submit"><?php echo app('translator')->get('Submit'); ?></button>
                        </div>
                    <?php endif ?>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .toggle.btn-lg {
            height: 37px !important;
            min-height: 37px !important;
        }

        .toggle-handle {
            width: 25px !important;
            padding: 0;
        }

        .form-group {
            width: 125px;
            margin-bottom: 0;
            flex-shrink: 0
        }

        .list-group-item:hover {
            background-color: #F7F7F7
        }
    </style>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/unioneli/public_html/account/core/resources/views/admin/setting/configuration.blade.php ENDPATH**/ ?>