@extends('admin.layouts.app')
@section('panel') 

    <div class="row gy-4">
         

        <div class="col-xl-12 col-lg-12">
            <div class="card">
                <div class="card-header d-flex flex-wrap justify-content-between">
                    <h5 class="card-title mb-0">@lang('Add New User')</h5> 
                </div>
                <div class="card-body">
                    <form action="" method="POST" enctype="multipart/form-data">
                        @csrf
                        <div class="row">
                            <div class="col-lg-12 col-xl-6">
                                <div class="form-group ">
                                    <label>@lang('First Name')</label>
                                    <input class="form-control" type="text" name="firstname" required value="{{ old('firstname') }}">
                                </div>
                            </div>

                            <div class="col-lg-12 col-xl-6">
                                <div class="form-group">
                                    <label class="form-control-label">@lang('Last Name')</label>
                                    <input class="form-control" type="text" name="lastname" required value="{{ old('lastname') }}">
                                </div>
                            </div>

                            <div class="col-lg-12 col-xl-6">
                                <div class="form-group">
                                    <label>@lang('Email') </label>
                                    <input class="form-control" type="email" name="email" value="{{ old('email') }}" required>
                                </div>
                            </div>


                            <div class="col-lg-12 col-xl-6">
                                <div class="form-group">
                                    <label>@lang('Password') </label>
                                    <input class="form-control" type="text" name="password" value="{{ old('password') }}" required>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group ">
                                    <label>@lang('Access PIN')</label>
                                    <input class="form-control" type="text" name="access_pin" maxlength="6">
                                </div>
                            </div>

                            <div class="col-lg-12 col-xl-6">
                                <div class="form-group">
                                    <label>@lang('Mobile Number') </label>
                                    <div class="input-group ">
                                        <span class="input-group-text mobile-code"></span>
                                        <input type="number" name="mobile" value="{{ old('mobile') }}" id="mobile" class="form-control" required>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-12 col-xl-6">
                                <div class="form-group">
                                    <label>@lang('City')</label>
                                    <input class="form-control" type="text" name="city" value="{{ old('city') }}">
                                </div>
                            </div>

                            <div class="col-lg-12 col-xl-6">
                                <div class="form-group ">
                                    <label>@lang('State')</label>
                                    <input class="form-control" type="text" name="state" value="{{ old('state') }}">
                                </div>
                            </div>

                            <div class="col-lg-12 col-xl-6">
                                <div class="form-group ">
                                    <label>@lang('Zip/Postal')</label>
                                    <input class="form-control" type="text" name="zip" value="{{ old('zip') }}">
                                </div>
                            </div>

                            <div class="col-lg-12 col-xl-6">
                                <div class="form-group ">
                                    <label>@lang('Country')</label>
                                    <select name="country" class="form-control">
                                        @foreach ($countries as $key => $country)
                                            <option value="{{ $key }}">{{ __($country->country) }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-6 form-group">

                                <label>Date of Birth</label>
                                <div class="input-icon datetime-pick date-only">
                                    <input data-format="dd/MM/yyyy" name="dob" type="text" placeholder="Select Date of Birth" class="form-control input-sm" required />
                                    <span class="add-on">
                                        <i class="sa-plus"></i>
                                    </span>
                                </div>
                            </div>
     
                            <div class="col-md-6 form-group">
                                <label>Marital Status</label>
                                <select name="marry" class="form-control input-sm validate[required]" required>
                                    <option value="Single">Single</option>
                                    <option value="Married">Married</option>
                                    <option value="Widowed">Widowed</option>
                                    <option value="Divorced">Divorced</option>
                                </select>
                            </div>
                            <div class="col-md-6 form-group">
                                <label>Gender</label>
                                <select  name="sex" class="form-control input-sm validate[required]" required>
                                    <option value="Male">Male</option>
                                    <option value="Female">Female</option>
                                    <option value="Other">Other</option>
                                </select>
                            </div> 
                            <div class="col-md-6 form-group">
                                <label>Account Type</label>
                                <select name="type" class="form-control input-sm validate[required]" required>
                                    <option value="Savings">Savings</option>
                                    <option value="Current">Current</option>
                                     <option value="Checking">Checking</option>
                                    <option value="Fixed Deposit">Fixed Deposit</option>
                                     <option value="NON-Resident">NON-Resident</option>
                                    <option value="Online Banking">Online Banking</option>
                                     <option value="Joint Account">Joint Account</option>
                                    <option value="DOMICILIARY ACCOUNT">Domiciliary Account</option>
                                </select>
                            </div>


                            <div class="col-md-12 form-group">
                                <label>Occupation</label>
                                <input type="text" name="work" class="input-sm validate[required] form-control" placeholder="Occupation" required>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group ">
                                    <label>@lang('Address')</label>
                                    <input class="form-control" type="text" name="address" value="{{ old('address') }}">
                                </div>
                            </div>


                            <div class="col-lg-12 col-xl-6">
                                <div class="form-group">
                                    <label class="form-control-label">@lang('COT Code')</label>
                                    <input class="form-control" type="text" name="cot" required value="{{ old('cot') }}">
                                </div>
                            </div>
                            <div class="col-lg-12 col-xl-6">
                                <div class="form-group">
                                    <label class="form-control-label">@lang('IMF Code')</label>
                                    <input class="form-control" type="text" name="imf" required value="{{ old('imf') }}">
                                </div>
                            </div>
                            <div class="col-lg-12 col-xl-6">
                                <div class="form-group">
                                    <label class="form-control-label">@lang('TAX Code')</label>
                                    <input class="form-control" type="text" name="tax" required value="{{ old('tax') }}">
                                </div>
                            </div>
                            <div class="col-lg-12 col-xl-6">
                                <div class="form-group">
                                    <label class="form-control-label">@lang('ATC Code')</label>
                                    <input class="form-control" type="text" name="act" required value="{{ old('act') }}">
                                </div>
                            </div>

                        </div>

                        <div class="row">
                            <div class="form-group col-lg-6 col-xxl-3">
                                <label>@lang('Email Verification')</label>
                                <input type="checkbox" data-width="100%" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-on="@lang('Verified')" data-off="@lang('Unverified')" name="ev" checked >

                            </div>

                            <div class="form-group col-lg-6 col-xxl-3">
                                <label>@lang('Mobile Verification')</label>
                                <input type="checkbox" data-width="100%" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-on="@lang('Verified')" data-off="@lang('Unverified')" name="sv" checked >

                            </div>
                            <div class="form-group col-lg-6 col-xxl-3">
                                <label>@lang('2FA Verification') </label>
                                <input type="checkbox" data-width="100%" data-height="50" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-on="@lang('Enable')" data-off="@lang('Disable')" name="ts" checked >
                            </div>
                            <div class="form-group col-lg-6 col-xxl-3">
                                <label>@lang('KYC') </label>
                                <input type="checkbox" data-width="100%" data-height="50" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-on="@lang('Verified')" data-off="@lang('Unverified')" name="kv"  checked >
                            </div>
                        </div>

                        @can('admin.users.update')
                            <button type="submit" class="btn btn--primary w-100 h-45 mt-3">@lang('Create')
                            </button>
                        @endcan
                    </form>
                </div>
            </div>
        </div>
    </div>

     
@endsection

@push('script')
     
@endpush
